Sat May 14 06:05:55 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.4.5 released.

Fri May 13 06:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_time.inl:
          Made fix for Intel C++ compiler under Windows

Thu May 12 10:20:55 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

	* Updated the COPYING file to clarify some ambiguity about
 	  proprietary usage of ACE.

Tue May 10 08:34:16 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

	* ace/Token.h (ACE_Token): Improved the documentation to emphasize
	  that the semantics aren't truly readers/writer.  Thanks to
	  Altaf Aali <altafaali@comcast.net> for motivating this.

	* ace/OS_NS_Thread.cpp (thr_create): Fixed a bug that wasn't
	  allowing the stack size to be size if the stack address wasn't
 	  also being set.  Thanks to Andreas Schuler
 	  <Andreas.Schuler@med.ge.com> for reporting this.

Fri May  6 13:50:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_time.inl:
          Fixed ACE_OS::gethrtime() for Intel Compiler on PENTIUM plaform.

Fri May  6 11:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Timer_Cancellation_Test.cpp:
          Added missing ACE_TEXT macro usage

Fri May  6 10:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Recursive_Condition_Bug_Test.cpp:
          When creating the ACE_Message_Block using an allocator, pass the
          allocator to the ACE_Message_Block so that the MB will use that
          allocator to free itself. Fixes a mismatch free/delete error
          with valgrind

Fri May  6 10:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
          Fixed invalid read in the valgrind build.

Thu May  5 11:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Don't run the Notify Reconnecting test in a static build. Thanks
          to Justin Michel for confirming this

Thu May  5 11:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          When building shared libraries add -Wl,-E to the linker options
          to be able to do a dynamic_cast in a shared library of a class
          that is defined in the application. This fixes the ACE DLL_Test
          failure with the Intel C++ Compiler.

Tue May  3 14:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_aix_g++.GNU:
          Simplified this file

        * include/makeinclude/platform_aix_ibm.GNU:
          Simplified this file and set gcc as preprocessor for TAO_IDL. The
          Visual Age preprocessor is not usable for building applications
          with idl files that include other idl files which only contain
          includes. This is reported to IBM and we now force gcc as
          preprocessor to prevent all kind of strange errors when building
          the TAO examples/tests

Sun May  1 09:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Misc/pingpong.cpp:
          Fixed compile error

Sun May  1 01:06:34 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * ace/Select_Reactor_Base.cpp:
    * ace/Select_Reactor_Base.inl:

      Moved all virtual functions out of line.  Inlining them prevents
      run-time type identification from functioning properly when
      using g++ 4.x's "-fvisibility-inlines-hidden" command line
      option/feature.  Addresses failed dynamic_cast<>s of an
      ACE_Reactor_Impl base class to an ACE_Select_Reactor subclass.

    * ace/Select_Reactor_Base.h (~ACE_Reactor_Notify):

      Explicitly declare this destructor as virtual.  It was already
      implicitly virtual due to the virtual destructor in the
      ACE_Event_Handler base class.  This explicit declaration is
      simply a reminder that it is virtual, and shouldn't be inlined
      since doing so can potentially cause failed dynamic_cast<>s when
      using g++ 4.x's hidden visibility of inlined functions feature.

Sat Apr 30 15:24:13 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

    * examples/Reactor/Misc/pingpong.cpp (run_svc): Allocate the
      Ping_Pong callback dynamically to avoid crashses when things
      close down.  Thanks to Johnny Willemsen for narrowing down the
      problem and to Alex Ott <ott@jet.msk.su> for reporting it.

Fri Apr 29 23:45:59 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * examples/Bounded_Packet_Relay/BPR_Drivers.cpp:
    * examples/Bounded_Packet_Relay/BPR_Drivers.h:
    * examples/Mem_Map/IO-tests/IO_Test.cpp:
    * examples/Mem_Map/IO-tests/IO_Test.h:
    * examples/Reactor/Misc/test_event_handler_t.cpp:
    * examples/Threads/future2.cpp:
    * examples/Timer_Queue/Driver.cpp:
    * examples/Timer_Queue/Driver.h:

      Added virtual destructor to silence g++ 4.0 warnings.

    * examples/Threads/future2.cpp (test_timeout):

      Fixed "variable may be used initialized" warning.

Fri Apr 29 09:25:28 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

    * ace/Thread_Exit.cpp (cleanup): Set ACE_Thread_Manager::thr_exit_
      to 0 to prevent a later crash in
      ACE_Thread_Manager::set_thr_exit().  Thanks to D. J. Stachniak
      <djstachniak@yahoo.com> for submitting a fix and Slava Gorelik
      <slava.gorelik@sap.com> for reporting the problem.

Fri Apr 29 12:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added some info about Visual Age versions that cause problems

Fri Apr 29 08:55:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          On IA64 add -mp to the compiler flags to disable the optimizer
          because of problems in the TAO IDL_Test

Thu Apr 28 23:06:59 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * ace/config-linux-common.h:

      Do not perform feature tests using implementation-specific
      preprocessor symbols.  Use the standard ones instead
      (e.g. _POSIX_C_SOURCE, _ISO_C99SOURCE, _BSD_SOURCE,
      _XOPEN_SOURCE, etc).

Thu Apr 28 22:53:16 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * ace/config-linux-common.h (ACE_LACKS_MKSTEMP_PROTOTYPE):

      Do not define this preprocessor symbol if _XOPEN_SOURCE_EXTENDED
      is already defined.  Addresses mkstemp() unmatched prototype
      related errors exhibited by g++ 4.0 on some Linux platforms.

Wed Apr 27 14:29:03 2005  J.T. Conklin  <jtc@acorntoolworks.com>

    * ace/Log_Msg.cpp (ACE_Log_Msg::log_hexdump):

      Check log priority before allocating message buffer and
      formatting message, an unnecessary expense if the message isn't
      going to be output.  Thanks to <joez at datawire dot net> for
      reporting this problem.

Wed Apr 27 20:25:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Misc/pingpong.cpp:
          When no commandline argument has been passed, exit normally with
      an ACE_ERROR_RETURN instead of an abort.  Thanks to Alex Ott
      <ott@jet.msk.su> for reporting this.

Wed Apr 27 18:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Message_Block.h:
          Removed include of stdlib.h, it shouldn't be here

        * ace/Process_Semaphore.h:
        * ace/Reactor.h:
        * ace/SOCK_Stream.h:
        * ace/Task.h:
        * ace/Token_Request_Reply.h:
        * ace/UPIPE_Stream.h:
          Doxygen improvements

Wed Apr 27 15:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ace_tk.mpb:
          Fixed wrong LDFLAGS. Thanks to Peter Grotrian
          <peter dot grotrian at pdv-fs dot de> for reporting this. This
          fixes bugzilla [2096]

Wed Apr 27 15:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Barrier.h:
        * ace/DLL.cpp:
          Added missing includes when threads=0. Thanks to Peter Grotrian
          <peter dot grotrian at pdv-fs dot de> for reporting this. This
          fixes bugzilla [2097]

Wed Apr 27 15:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_unistd.inl:
          When ACE_HAS_CLOCK_GETTIME is defined include ace/os_include/
          os_time.h to get nanosleep. Fixes compile errors with gcc on ia64

Tue Apr 26 10:59:02 2005  J.T. Conklin  <jtc@acorntoolworks.com>

    * netsvcs/lib/Makefile.am:

      Add *_LDFLAGS definition to set shared library version number.

Sun Apr 24 14:02:51 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * bin/ciao_tests.lst:

          CIAO regression test won't run on minimum_corba. Added the
          configuration requirement in the file.

Sun Apr 24 10:53:40 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

    * ace/MEM_Stream.h:
    * ace/MEM_Acceptor.cpp: Changed code to ensure the internal buffer
      size of MEM_Stream will be at least 4096 bytes by default.  The
      minimum internal buffer size determines the largest message
      allowable per send operation.  This size used to depend on the
      default minimum size of ACE_Malloc size, which currently no
      longer allocates a minimum of 4K memory.  One can change the
      default MEM_Stream buffer size by redefining the
      ACE_MEM_STREAM_MIN_BUFFER (in bytes) in the config.h file.

      Thanks to Voronkov Konstantin <beowinkle at yahoo dot com> for
      motivating this change.

Sun Apr 24 09:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-aix-5.x.h:
          Removed GNUC check for ACE_HAS_POSIX_GETPWNAM_R.

Sat Apr 23 20:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Size.cpp:
        * ace/CDR_Stream.cpp:
          Do the include of SString.h before the include of the inline file
          to fix compile problems with AIX

Sat Apr 23 20:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/TP_Reactor.cpp:
          Added include of OS_NS_sys_time.h to get ACE_OS::gettimeofday()

Sat Apr 23 13:12:27 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

    * ace/Task.inl (grp_id):
    * ace/Managed_Object.h (class ACE_Managed_Object):
    * ace/Thread.inl (setprio):
    * ace/OS_NS_Thread.inl:
      Changed all uses of "id" to something else to avoid conflicts
      with Mac OS X, where "id" is a keyword.  Thanks to Ron Wilson
      <ronwilson@mac.com> for reporting this problem.

Sat Apr 23 08:20:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * examples/Log_Msg/test_log_msg.cpp (ACE_TMAIN):
    * tests/Log_Msg_Test.cpp (test_log_msg_features):

      Fixed "possible loss of data" VC++ 7.1 warnings.

Fri Apr 22 18:02:37 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

    * ace/Log_Msg.cpp (open): Fixed a problem with LOGGER and logger_key
      and the backend_->open() call.  Thanks to Jerry D. De Master
      <jdemaste at rite-solutions dot com> for reporting this.

Fri Apr 22 22:45:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * apps/JAWS3/jaws3/Event_Completer.h (~JAWS_Event_Completer):
    * apps/JAWS3/jaws3/Event_Completer.cpp (~JAWS_Event_Completer):
    * examples/APG/ThreadPools/Futures.cpp (~IManager):
    * examples/APG/ThreadPools/ThreadPool.cpp (~IManager):
    * examples/APG/Timers/PCB.h (~PCB):
    * examples/APG/Timers/PCB.cpp (~PCB):
    * performance-tests/Misc/test_mutex.cpp (~Mutex_Base):

      Added virtual destructor to silence g++ 4.0 warnings.

    * examples/APG/Containers/DataElement.h:
    * examples/APG/Containers/Stacks.cpp:
    * examples/APG/ThreadPools/Futures.cpp:
    * examples/APG/ThreadSafety/TSS.cpp (get_attribute):
    * performance-tests/Server_Concurrency/Latency_Stats.h
      (Throughput_Stats):
    * tests/Cache_Map_Manager_Test.cpp (find_test_hash_cache):
    * tests/Future_Test.cpp (run_main):
    * tests/Map_Manager_Test.cpp:

      Fixed "variable may be used initialized" g++ 4.0 warnings.

    * examples/APG/Naming/Temperature_Monitor2.cpp (record_history):
    * examples/Log_Msg/test_log_msg.cpp (ACE_TMAIN):
    * tests/Log_Msg_Test.cpp (test_log_msg_features):

      Fixed "operation may undefined" g++ 4.0 warnings.

    * tests/Message_Block_Test.cpp:

      Fixed "non-local variable '<anonymous struct> alloc_struct [2]'
      uses anonymous type" g++ 4.0 warning.

Fru Apr 22 18:13:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added AIX to the list of Remedy IT supported platforms

Fri Apr 22 12:14:41 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

    * ace/Connector.cpp:
    * ace/Connector.h:

      Added a new version of NBCH::close () which can be used by
      ACE_Connector::cancel () . The close () was essential for the
      cancel ()  to provide proper pre and post conditions, without
      which applications have no clue on the status of things.

Thu Apr 21 23:57:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * include/makeinclude/platform_g++_common.GNU:

      Only add g++ 4.x visibility flags when shared libraries are
      enabled.

Thu Apr 21 18:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          Set optimize default to 0 when not set. The optimizer of the Intel
          Compiler can cause several problems, so disable it by default

Thu Apr 21 18:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_linux_icc.GNU:
          Simplified this file

Thu Apr 21 18:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_g++.GNU:
          Simplified this file and use exceptions by default, just as with
          suncc

Wed Apr 20 16:06:22 2005  Steve Huston  <shuston@riverace.com>

    * tests/run_test.pl: If -t is specified (run specified test[s]) then
      don't load run_test.lst. This allows autoconfig builds to use this
      script to run the "make check"-ordered tests using this script
      to do log checks and timeouts.

Wed Apr 20 20:01:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ACE_Test.cpp:
          Now fixed the compile warning for real

Wed Apr 20 12:51:17 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

    * ace/Cleanup_Strategies_T.cpp:
    * ace/Cleanup_Strategies_T.h:
    * apps/Gateway/Gateway/File_Parser.h:
    * apps/Gateway/Gateway/File_Parser.cpp:
    * examples/Web_Crawler/URL_Visitor.cpp:
    * examples/Web_Crawler/URL_Visitor.h:
    * examples/Web_Crawler/URL_Visitor_Factory.cpp:
    * examples/Web_Crawler/URL_Visitor_Factory.h:

      Added virtual destructors to address g++ 4.0 warnings.

Wed Apr 20 07:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/ACE_Test.cpp:
          Fixed compile warning

Tue Apr 19 18:46:29 2005  Steve Huston  <shuston@riverace.com>

    * tests/Makefile.am: Correct the variable name used to inject a test
      executor - TESTS_ENVIRONMENT, not TEST_ENVIRONMENT.

Tue Apr 19 16:41:47 2005  Steve Huston  <shuston@riverace.com>

    * ace/Basic_Types.h: Don't attempt to typedef ACE_UINT64 based on
      specific available types if ACE_LACKS_LONGLONG_T or
      ACE_LACKS_UNSIGNEDLONGLONG_T is defined - in either of these 'lacks'
      is set, ACE_U_LongLong is declared and typedef'd to ACE_UINT64.

    * tests/Proactor_Test.cpp:
    * tests/Proactor_Test_IPV6.cpp: Added missing template instantiations.

Tue Apr 19 19:17:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.inl:
          Fixed log2 method. It returned incorrectly log2(x) + 1.

        * ace/Log_Record.cpp:
          Removed <none> from priority_names_ array now log2 gives back the
          correct result

        * tests/ACE_Test.cpp:
          Added a regression test for ACE::log2.

          This fixes bugzilla bug 2078. Thanks to Brian O'Connor
          <brian dot oconnor at hp dot com> for reporting this problem.

Tue Apr 19 18:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-pharlap.h:
          Define IP_TOS to 8 when ACE_HAS_PHARLAP_RT is defined. Thanks to
          David Hauck <davidh at netacquire dot com> for this fix

Tue Apr 19 16:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.h:
          Fixed compile problem with Embedded Visual C++ 4.0 using a release
          build. Thanks to Mitscher Dubreus <ofup at voila dot fr>
          for reporting this problem and to Bruce Elliot
          <bruce dot elliott at cox dot net> for delivering the fix.

Tue Apr 19 08:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadPools/ThreadPool.cpp:
        * examples/C++NPv1/Reactive_Logging_Server_Ex.h:
          Initialise pointer with 0

Tue Apr 19 08:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/ThreadSafety/Mutex.cpp:
          Added virtual destructor to LogMessage to silince pre gcc 4.0

Tue Apr 19 06:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/ASX/UPIPE_Event_Server/UPIPE_Event.mpc:
        * examples/ASX/Event_Server/Event_Server/Event.mpc:
        * examples/ASX/Event_Server/Transceiver/Transceiver.mpc:
          Fixed these mpc files, they should build an executable, not a
          shared library

Mon Apr 18 17:56:36 2005  J.T. Conklin  <jtc@acorntoolworks.com>

    * configure.ac:

      Add check for check_settime and set ACE_HAS_CLOCK_SETTIME if
      it exists.

Mon Apr 18 19:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-borland.h:
          Added a check that when threading is enabled we have to link
          with multithreaded libraries.

Mon Apr 18 11:43:05 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * bin/auto_run_tests.pl:

          Fixed a typo preventing autobilds to run CIAO test.

Mon Apr 18 11:38:29 2005  Steve Huston  <shuston@riverace.com>

    * examples/Reactor/WFMO_Reactor/Window_Messages.cpp: Remove poorly
      ordered auto_ptr for ACE_Msg_WFMO_Reactor instance. Let the
      ACE_Reactor object delete the implementation to assure correct order.

Mon Apr 18 14:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Active_Objects/AO.cpp:
        * examples/APG/Active_Objects/AO2.cpp:
          Initialise local variables with 0

Mon Apr 18 12:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/RB_Tree_Test.cpp:
          Initialise pointer with 0

Mon Apr 18 12:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Threads/future1.cpp:
          Initialise pointer with 0

Mon Apr 18 11:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/lib/Server_Logging_Handler_T.cpp:
        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
          Removed pragma once to fix gcc pre 4.0 warning

        * tests/Future_Set_Test.cpp:
        * tests/OrdMultiSet_Test.cpp:
          Initialise pointer with 0

        * tests/SOCK_Test_IPv6.cpp:
          Moved ACE_ALPHABET into ACE_HAS_IPV6 block

Mon Apr 18 10:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
        * ace/config-win32-msvc.h:
          Moved the _MT check from the win32-common file to win32-msvc, this
          check is for msvc, not for Borland and g++. Thanks to
          Stefan Morrow <stefanm at uniblue dot net> for motivating this
          change.

        * include/makeinclude/compiler.bor:
          No need to define _MT

Mon Apr 18 09:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added new Deactivate_Object test

Mon Apr 18 07:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Parse_Node.{h,cpp,inl}:
          Removed inl file, it is empty

        * ace/ace.mpc:
          Added Parse_Node.cpp, it was not listed

        * ace/Makefile.am:
          Removed Parse_Node.inl

Sun Apr 17 20:02:01 2005  Olli Savia  <ops@iki.fi>

        * ace/README:
        * ace/config-unixware-2.01-g++.h:
        * ace/config-unixware-2.1.2-g++.h:
          Removed references to ACE_HAS_THREAD_T. It is no longer
          used in ACE/TAO code.

Sun Apr 17 19:49:05 2005  Olli Savia  <ops@iki.fi>

        * ace/config-netbsd.h:
        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:
          Removed ACE_HAS_SYS_IOCTL_H definition. It is no longer
          used in ACE/TAO code.

Sun Apr 17 19:33:55 2005  Olli Savia  <ops@iki.fi>

        * ace/config-win32-interix.h:
          Removed ACE_HAS_ANSI_CASTS definition. It is no longer
          used in ACE/TAO code.

Sun Apr 17 10:44:43 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/ACE.cpp (sock_error): Added a bunch more WSA* socket error
          values.  Thanks to Arto Jalkanen <ajalkane at gmail dot com> for
          contributing this.

Sun Apr 17 07:51:55 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-lite.h (ACE_EXPORT_SINGLETON_DECLARATION):
          (ACE_EXPORT_SINGLETON_DECLARE):

          Added suitable defaults when ACE_HAS_CUSTOM_EXPORT_MACROS is
          defined and these aren't.

Sun Apr 17 17:34:38 2005  Olli Savia  <ops@iki.fi>

        * ace/config-win32-interix.h:
        * m4/config_h.m4:
          Removed references to ACE_HAS_SYSCALL_H. It is no longer
          used in ACE/TAO code.

Sat Apr 16 20:47:11 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * bin/ciao_tests.lst:

          The required constraints Exceptions and !STATIC are added to the
          CIAO test.

Sat Apr 16 20:37:07 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * bin/auto_run_tests.pl:
        * bin/ciao_tests.lst:

          Added auto_build tests for CIAO.

Sat Apr 16 16:33:53 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Parse_Node.inl:
        * ace/Parse_Node.cpp:

          Moved inlined virtual destructors out of line.  Addresses
          unresolved symbol errors when using g++ 4.0 with a default
          symbol visibility set to "hidden".

Sat Apr 16 09:18:42 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Reactor.inl:
        * ace/Reactor.cpp:

          Moved inlined virtual methods out of line.  Addresses unresolved
          symbol errors when using g++ 4.0's "-fvisibility-inlines-hidden"
          command line option.  The methods can be inlined again once/if
          we make the methods non-virtual.  Since the ACE_Reactor now
          implements the Bridge design pattern, they no longer need to be
          virtual.  However, they will remain virtual for a while due to
          potential user legacy app / backward compatibility issues.

Fri Apr 15 11:36:45 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Timeprobe.h:

          Drop the semi-colon after the ACE_SINGLETON_DECLARE.  The
          convention is not to add a trailing semi-colon.  Addresses a g++
          4.0 CVS snapshot error about an extra semi-colon.

        * ace/config-g++-common.h (ACE_EXPORT_SINGLETON_DECLARE):

          Added a trailing semi-colon in the definition of this macro for
          g++ 4.x or better.  This is the same convention we use for
          Windows.

Fri Apr 15 12:14:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/ProcessVX_Win32.pm:
          Simplification and improvements.

Fri Apr 15 11:59:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * bin/tao_orb_tests.lst:
          Excluded some tests explicitly for VxWorks builds.

Fri Apr 15 09:33:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * ACE_INSTALL.html:
          Some updates concerning VxWorks support.

Thu Apr 14 23:35:57 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Timeprobe.h:

          Include "ace/Null_Mutex.h" to pull in complete ACE_Null_Mutex
          type.  Fixes "incomplete type" errors.

        * ace/config-g++-common.h (ACE_EXPORT_SINGLETON_DECLARATION):
          (ACE_EXPORT_SINGLETON_DECLARE):

          Define these macros to a suitable C++ expression.  Addresses
          syntax errors.

Fri Apr 15 07:57:38 2005  Olli Savia  <ops@iki.fi>

        * ace/Ping_Socket.cpp:
          Replaced NULL with 0.

Fri Apr 15 07:39:20 2005  Olli Savia  <ops@iki.fi>

        * ace/OS.inl:
          Fixed typo in comment.

        * ace/config-integritySCA.h:
          Removed ACE_HAS_SYSENT_H definition. It is no longer
          used in ACE/TAO code.

Fri Apr 15 07:27:38 2005  Olli Savia  <ops@iki.fi>

        * ace/README:
          Removed ACE_HAS_BROKEN_ENUMS. It is no longer used in ACE/TAO code.

        * ace/config-fsu-pthread.h:
        * ace/config-mit-pthread.h:
        * ace/config-sco-5.0.0-mit-pthread.h:
          Removed ACE_HAS_PTHREAD_ATTR_INIT, ACE_HAS_PTHREAD_ATTR_DESTROY and
          ACE_HAS_PTHREAD_YIELD_VOID_PTR definitions. These are no longer
          used in ACE/TAO code.

Fri Apr 15 07:19:20 2005  Olli Savia  <ops@iki.fi>

        * ace/Handle_Set.cpp:
        * ace/README:
        * m4/config_h.m4:
          Removed references to ACE_HAS_BROKEN_BITSHIFT. It is no longer
          needed.

Thu Apr 14 17:12:44 2005  Steve Huston  <shuston@riverace.com>

        * configure.ac: Corrected the variable used to tell whether or not
          to check for ACE_HAS_XPG4_MULTIBYTE_CHAR. Fixes configure on Solaris.

        * ace/Service_Config.h: #include "ace/SString.h" instead of
          "ace/SStringfwd.h" to make sure everything needed for explicit
          template instantiation is present.

Thu Apr 14 15:25:31 2005  Steve Huston  <shuston@riverace.com>

        * NEWS: Added a note that the reactor change:
          Wed Apr 13 14:34:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>
          may cause some trouble in programs that dynamically allocate
          a reactor implementation then destroy it before the ACE_Reactor
          referring to it. This is always bad, but now will cause a crash.

        * examples/Reactor/WFMO_Reactor/run_test.pl: Removed the "require
          Process" line - it tried to refer to the one in $ACE_ROOT/bin, which
          was removed:
          Mon Apr  4 11:20:08 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * tests/Priority_Reactor_Test.cpp (run_main):
        * tests/Reactor_Notify_Test.cpp (run_test): Use the ACE_Reactor's
          delete_implementation setting to delete any created reactor
          implementation instead of using separate auto_ptr objects for the
          ACE_Reactor and its implementation. Prevents destruction
          order issues if the implementation is destroyed first.

Thu Apr 14 09:21:14 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/taoidldefaults.mpb:

          Added support for the -SS, -Sci and -Ssi options.

Thu Apr 14 10:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-cygwin32.h:
          Removed setting of ACE_HAS_CLOCK_SETTIME. Cygwin seems to define
          clock_settime but we get an unresolved symbol when linking.

Thu Apr 14 00:03:12 2005  Olli Savia  <ops@iki.fi>

        * ace/config-rtems.h:
          Removed ACE_HAS_PROCESS_ENUM definition. It is no longer
          used in ACE/TAO code.

Wed Apr 13 23:58:15 2005  Olli Savia  <ops@iki.fi>

        * ace/config-irix6.x-common.h:
          Removed ACE_HAS_SETOWN definition. It is no longer
          used in ACE/TAO code.

Wed Apr 13 23:42:41 2005  Olli Savia  <ops@iki.fi>

        * ace/config-win32-interix.h:
          Removed ACE_HAS_MKSTEMP definition. It is no longer
          used in ACE/TAO code.

Wed Apr 13 13:42:21 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Proactor_Impl.cpp:

          Only compile if system supports asynchronous I/O.

Wed Apr 13 19:07:41 2005  Olli Savia  <ops@iki.fi>

        * ace/OS_NS_time.inl:
          Handle broken prototype of clock_settime() by adding
          const_cast if ACE_HAS_NONCONST_CLOCK_SETTIME is defined.

        * ace/OS_NS_unistd.inl:
          Fixed wrong comment and removed commented out code.

        * ace/README:
          Documented new macros ACE_HAS_NONCONST_CLOCK_SETTIME
          and ACE_LACKS_SCANDIR_PROTOTYPE.

        * ace/TSS_T.h:
          Fixed wrong comment.

        * ace/config-lynxos.h:
          Added new defines ACE_HAS_NONCONST_CLOCK_SETTIME,
          ACE_HAS_SCANDIR, ACE_LACKS_SCANDIR_PROTOTYPE and
          ACE_SCANDIR_CMP_USES_VOIDPTR.

        * ace/os_include/os_dirent.h:
          Declare scandir() prototype if ACE_LACKS_SCANDIR_PROTOTYPE
          is defined.

Wed Apr 13 14:34:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/Reactor.cpp:
          Added call to close() to reactor implementation in destructor to
          prevent problems with destruction of implementation instance when
          created on the stack.

Wed Apr 13 07:32:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Thread_Hook.h:
        * ace/Thread_Hook.cpp:

          Move ACE_Thread_Hook destructor out of line so it's not compiled
          and included in each translation unit that includes Thread_Hook.h.

Wed Apr 13 07:27:21 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/CDR_Stream.h:
        * ace/CDR_Stream.cpp:

          Move ACE_Char_Codeset_Translator destructor out of line so it is
          not compiled and included in each translation unit that includes
          CDR_Stream.h.

Wed Apr 13 07:20:54 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * ace/ace.mpc:

          Add Proactor_Impl.cpp to list of source files.

        * ace/Proactor_Impl.h:
        * ace/Proactor_Impl.cpp:

          Move ACE_Proactor_Impl destructor out of line into new file
          Proactor_Impl.cpp so it's not compiled and included in each
          translation unit that includes Proactor_Impl.h.

Tue Apr 12 19:30:40 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * ace/ace.mpc:

          Add Reactor_Impl.cpp to list of source files.

        * ace/Reactor_Impl.h:
        * ace/Reactor_Impl.cpp:

          Move ACE_Reactor_Impl destructor out of line into new file
          Reactor_Impl.cpp so it's not compiled and included in each
          translation unit that includes Reactor_Impl.h.

Tue Apr 12 16:44:19 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Protocol.h:

          Got rid of the "might be used uninitialized" warnings.

Tue Apr 12 09:17:34 2005  Arvind S. Krishna  <arvindk@dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp:
          Fixed VC6 build errors relating to include file for
          ACE_OS::memcpy.

Tue Apr 12 13:11:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/ProcessVX.pm:
          Enhanced functionality for controlling kernel reboot.

Tue Apr 12 07:53:39 2005  Arvind S. Krishna  <arvindk@dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp:
          Fixed problems with VC6 build.

Tue Apr 12 07:26:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/ProcessVX.pm:
          Fixed problem for non-Win based builds.

Tue Apr 12 08:06:34 2005  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Fixed wrong comment.

        * include/makeinclude/platform_lynxos.GNU:
          VERSION now defaults to 4.0.0

Tue Apr 12 07:48:05 2005  Olli Savia  <ops@iki.fi>

        * ace/config-linux-common.h:
        * ace/config-osf1-4.0.h:
        * configure.ac:
        * m4/config_h.m4:

          Removed references to ACE_POLL_IS_BROKEN. It is no longer
          used in ACE/TAO code.

Mon Apr 11 21:55:57 2005  Arvind S. Krishna  <arvindk@dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp:

          Scoped gettimeofday invocation as ACE_OS::gettimeofday as it was
          causing errors in the ACE build

Mon Apr 11 12:17:01 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-lite.h:

          Make sure DSO/DLL symbol related export macros other than
          ACE_Proper_Export_Flag are defined if not previously defined in
          the ACE_HAS_CUSTOM_EXPORT_MACROS case.  Simplifies configuration
          for compilers that only need ACE_Proper_Export_Flag.

        * m4/compiler.m4 (ACE_SET_COMPILER_FLAGS):
        * m4/config_h.m4 (ACE_PREP_CONFIG_HEADER):

          Enable g++ visibility attribute support when using g++ 4.0 or
          better.

Mon Apr 11 11:50:46 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/README:
        * ace/config-hpux-10.x.h:
        * ace/config-hpux-11.00.h:
        * ace/config-openvms.h:
        * ace/config-osf1-3.2.h:

          Fix typo: POSIX 1.b -> POSIX.1b.

Mon Apr 11 11:39:11 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/OS_NS_time.h:
        * ace/OS_NS_time.inl:

          Add ACE_OS::clock_settime().

        * ace/config-chorus.h:
        * ace/config-cygwin32.h:
        * ace/config-hpux-10.x.h:
        * ace/config-hpux-11.00.h:
        * ace/config-integritySCA.h:
        * ace/config-linux-common.h:
        * ace/config-lynxos.h:
        * ace/config-netbsd.h:
        * ace/config-openvms.h:
        * ace/config-osf1-3.2.h:
        * ace/config-osf1-4.0.h:
        * ace/config-qnx-neutrino.h:
        * ace/config-qnx-rtp-62x.h:
        * ace/config-qnx-rtp-pre62x.h:
        * ace/config-rtems.h:
        * ace/config-sunos5.5.h:
        * ace/config-vxworks5.x.h:

          Define ACE_HAS_CLOCK_SETTIME in every canned config-* header
          that defines ACE_HAS_CLOCK_GETTIME.

        * ace/README:

          Document new feature test macro ACE_HAS_CLOCK_SETTIME.

Mon Apr 11 10:27:12 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * include/makeinclude/platform_g++_common.GNU:

          Fixed ambiguities when determining whether g++ 4.0 or better is
          being used.

        * include/makeinclude/platform_linux.GNU (CXX):

          Do not set CXX variable to "g++" if it has been previously set.
          Addresses problem where g++ version was not retrieved from the
          g++ compiler set by the user.

Mon Apr 11 15:56:55 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Protocol.h:

          Moved things around a bit in hope it will help BCB6.

Mon Apr 11 12:58:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * bin/PerlACE/Run_Test.pm:
        * bin/PerlACE/Process_Win32.pm:
          Changes to improve/add support for VxWorks tests.

        * bin/PerlACE/ProcessVX.pm:
        * bin/PerlACE/ProcessVX_Win32.pm:
          New Process class with support for running VxWorks tests on
          remote targets.

        * tests/run_test.pl:
          Changed to utilize the new ProcessVX class.

Mon Apr 11 11:38:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_Thread.cpp:
          Added new "C" function 'vx_execae' for VxWorks builds.
          Used to run VxWorks tasks (tests) in a more controlled,
          synchronous way.

Mon Apr 11 11:27:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/config-g++-common.h:
          Defined ACE_LACKS_MEMBER_TEMPLATES for GCC < 3.0 as a solution
          for recent template compile errors from TypeCode refactoring.

Mon Apr 11 11:25:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.h:
          Removed explicit for the constructor which I added recently. I causes
          problems for user apps that use the implicit conversion. This class
          has more problems which need to be resolved.

Mon Apr 11 09:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/os_include/netinet/os_in.h:
          Define IP_MULTICAST_LOOP when it is not defined yet. Fixes problems
          with Pharlab.

Mon Apr 11 09:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_netdb.cpp (getmacaddress):
          Added Pharlab support

Mon Apr 11 00:00:42 2005  Boris Kolpackov  <boris@kolpackov.net>

        * ace/CDR_Size.cpp:

          Removed unnecessary return statement.

Sun Apr 10 15:36:58 2005  Arvind S. Krishna  <arvindk@dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp:

          Fixed wrong include file to fix compilation errors on Windows
          box.

Sun Apr 10 15:05:35 2005  Arvind S. Krishna  <arvindk@dre.vanderbilt.edu>

        * tests/tests.mpc:
        * tests/Memcpy_Test.cpp:

          Changed the name of the test to ensure that it is same as the
          log file created.

Sun Apr 10 13:25:26 2005  Boris Kolpackov  <boris@kolpackov.net>

        * ace/CDR_Size.h:
        * ace/CDR_Size.cpp:
        * ace/CDR_Size.inl:

          Added new ACE_SizeCDR. It is a CDR stream similar to
          ACE_OutputCDR but instead of serializing anything
          ACE_SizeCDR calculates the size of the resulting
          representation.

        * ace/ace.mpc:
        * ace/Makefile.am:

          Added new files.

        * tests/CDR_Test.cpp:

          Added test for ACE_SizeCDR.

        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Protocol.h:

          Ported to use ACE_SizeCDR.

Sun Apr 10 03:02:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-g++-common.h:

          Do not define "ACE_LACKS_PRAGMA_ONCE" for g++ 4.x.  G++ 4.x
          supports the "#pragma once" preprocessor directive.

          Define the DLL export macros to the appropriate g++ 4.x
          visibility attribute.

        * include/makeinclude/platform_g++_common.GNU (CCFLAGS):

          Added "-fvisibility=hidden -fvisibility-inlines-hidden" to the
          compiler flags when using g++ 4.x.  Doing so, in conjunction,
          with the export macro changes described above, allows ACE-based
          shared libraries to take full advantage of G++ 4.0's visibility
          attribute support, resulting in substantially improved shared
          libraries (or DSOs in alternative speak).  Some shared
          library-specific improvements include substantially reduced
          library footprint, improved application start-up times, and
          improved performance.

Sun Apr 10 02:17:31 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/SSL/SSL_Asynch_Stream.h:

          Removed export macros from forward declarations.  They aren't
          necessary, and cause the forthcoming g++ 4.0 to issue an error
          when enabling visibility attribute support.

Sun Apr 10 02:10:06 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Copy_Disabled.cpp:

          Removed "#pragma once" preprocessor directive from this
          implementation source file.  "#pragma once" is only meant for
          use in sources that are included by others.

Sat Apr  9 21:05:23 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * protocols/ace/HTBP/HTBP_Inside_Squid_Filter.cpp:

          Changed the construction of a request header to use
          get_host_addr() rather than get_host_name() to deal with remote
          peers that do not have resolvable hostnames.

Sat Apr  9 17:00:37 2005  Arvind S. Krishna  <arvindk@doc.dre.vanderbilt.edu>

        * tests/Memcpy_Test.cpp:

          Added a test to test the speed of memcpy () for data sizes less
          than 16 bytes. This test checks to see if loop unrolling is
          faster than memcpy for these data sizes.

        * tests/run_test.lst:
        * tests/tests.mpc:

          Updated the run list file to run this test and created a
          corresponding entry to build this test.

Sat Apr  9 10:04:37 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Thread_Hook.h (~ACE_Thread_Hook):

          Fixed "undefined reference" link-time error.

Fri Apr  8 23:24:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RB_Tree.cpp (remove_i):

          Fixed "control reaches end of non-void function" warning.

Fri Apr  8 22:42:55 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Capabilities.cpp (getval, resetcaps):
        * ace/Thread_Manager.cpp (ACE_EXECUTE_OP):

          Initialize variables.  Addresses "variables may be used
          unitialized" g++ 4.0 (CVS snapshot) warnings.

        * ace/Connector.h (~ACE_Connector_Base):
        * ace/Reactor_Timer_Interface.h (~ACE_Reactor_Timer_Interface):
        * ace/Thread_Hook.h (~ACE_Thread_Hook):

          Added virtual destructors.  Fixes "contains virtual functions
          but non-virtual destructor" g++ 4.0 (CVS snapshot) warnings.

Fri Apr  8 22:28:56 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * include/makeinclude/platform_g++_common.GNU (templates):

          Set templates variable to "automatic" if using g++ 4.x.  Thanks
          to John Michael Zorko for pointing out the problem.

Fri Apr  8 16:39:00 2005  Gary Maxey <gary.maxey@hp.com>

        * ace/Stats.cpp

          In dump_throughput() handle cast to double when
          ACE_LACKS_UNSIGNEDLONGLONG_T.

        * tests/High_Res_Timer_Test.cpp

          Use ACE_HRTIME_CONVERSION instead of ACE_U64_TO_U32 for
          platform independence.


Fri Apr  8 12:15:00 2005  Gary Maxey <gary.maxey@hp.com>

        * ace/Basic_Types.h

          If ACE_LACKS_UNSIGNEDLONGLONG_T do not typedef ACE_UINT64 as
          unsigned long long.

          Add define for ACE_UINT64_DBLCAST_ADAPTER when
          ACE_LACKS_UNSIGNEDLONGLONG_T.

Fri Apr  8 14:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/JAWS3/jaws3/Concurrency.h:
          Use template<>

Fri Apr  8 12:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_sys_socket.cpp:
        * ace/README:
          When ACE_DONT_INIT_WINSOCK is set we don't initialize the winsock
          library

        * ace/config-pharlab.h:
          Added ACE_LACKS_IP_ADD_MEMBERSHIP.

          Thanks to David Hauck <davidh at netacquire dot com> for supplying
          these changes

Fri Apr  8 12:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Moved portablegroup library before FTORB_Utils

Fri Apr  8 07:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          The TAO_IDL compiler now has the option to suppress generation
          the inline files, so we now don't allow any empty inline files
          in the repo, also not generated ones

Wed Apr  6 23:13:08 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Value_Ptr.h:

          Disable converting copy/assignment operations for compilers that
          do not support member templates, i.e. if
          ACE_LACKS_MEMBER_TEMPLATES is defined.

Wed Apr  6 14:49:39 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * ace/ace.mpc:

          Add Value_Ptr.h to list of header files.

Wed Apr  6 13:41:13 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/CDR_Base.h:

          Corrected comment.

        * ace/Value_Ptr.h:

          Value_Ptr implementation based on code in Herb Sutter's book
          "More Exceptional C++".  It is a smart pointer implementation
          designed for use as a class member.

Wed Apr  6 19:25:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Sock_Connect.cpp:
        * ace/OS_NS_dlfcn.inl:
          Added fix for Pharlab. Thanks to David Hauck
          <davidh at netacquire dot com> for supplying them

Wed Apr  6 19:36:31 2005  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Set static_libs_only=1 on LynxOS 3.x which does not support
          shared libraries.

Tue Apr  5 13:41:27 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Removed ACE_SUBST for ACE_LIBDIR, ACE_LIBS, ACE_INCLUDEDIR,
          TAO_LIBDIR, TAO_LIBS, and TAO_INCLUDEDIR since we're using
          pkg-config now.

Tue Apr  5 13:30:21 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Pipe.cpp:

          Removed defined(ACE_WIN32) from preprocessor conditional which
          selects whether socketpair() is used, as config-win32-common.h
          already defines the ACE_LACKS_SOCKETPAIR feature test macro.

Mon Apr  4 11:20:08 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/Process.pm:
        * bin/Process_Unix.pm:
        * bin/Process_Win32.pm:

          Removed.  Stale versions of files now in bin/PerlACE.

Mon Apr  4 19:41:44 2005  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Added #define ACE_HAS_ICMP_SUPPORT 1.

        * tests/Reactor_Dispatch_Order_Test.cpp:
          Workaround needs to be applied to LynxOS 4.x as well.

Thu Mar 31 07:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.h:
          Added explicit keyword to single argument constructor now RMCast is
          updated

Thu Mar 31 09:58:48 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Acknowledge.cpp:
        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Retransmit.cpp:

        Updated to work with explicit ctor in ACE_Refcounted_Auto_Ptr.

Tue Mar 29 18:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.h:
          Removed the explicit again, it seems to give a problem in RMCast, will
          check this later

Tue Mar 29 15:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SOCK_Dgram.{h,cpp}:
          Changed the ACE_SOCK_Dgram::set_nic() to have a return value
          so that the caller can check whether things succeeded or not

Tue Mar 29 15:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Refcounted_Auto_Ptr.h:
          Added explicit keyword to single argument constructor

Tue Mar 29 07:58:40 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Support the new postbuild keyword.

Tue Mar 29 06:21:34 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Support the modification to the MPC xerces base project that set
          the xerceslib template variable to allow for the many different
          library names it could have.

Mon Mar 28 17:32:30 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Process.h:

          Fix typo in comment.

Fri Mar 25 16:41:56 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Change regular expression match $(KEY) instead of of adding
          "$(" and ")" to the key itself.

Fri Mar 25 09:27:40 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Removed ACE_{,U}INT64_TYPEDEF macros.  These resulted in
          preprocessor conditionals used to set ACE_{,U}INT64.  Now that
          Basic_Types.h has been refactored, config headers can override
          it by defining ACE_{,U}INT{8,16,32,64}_TYPE.  We will use that
          generalized infrastructure instead.

Fri Mar 25 07:49:08 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Basic_Types.h:

          Fix typo -- missing trailing semicolon when defining
          ACE_{,U}INT64 from ACE_{U,}INT64_TYPE.

Fri Mar 25 07:10:35 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-unixware-7.1.0.h:
        * ace/config-unixware-7.1.0.udk.h:

          Removed ACE_UINT64_TYPEDEF definition.  Let Basic_Types.h
          do its thing.

Fri Mar 25 07:02:59 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/config-win32-common.h:

          Define ACE_INT64_TYPE and ACE_UINT64_TYPE macros instead of
          actual typedef definitions.

Thu Mar 24 23:42:34 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Basic_Types.h:

          Fix typo in ACE_SIZEOF_LONG_LONG definition for systems with
          ACE_LACKS_LONG_LONG set.

          Set ACE_SIZEOF_LONG_LONG to 8 if we can't figure out what to set
          it to from ULLONG_MAX or ULONGLONG_MAX, which may not be present
          or may need special contortions to be defined.

Thu Mar 24 12:27:05 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/README:

          Describe ACE_{,U}INT{8,16,32,64}_FORMAT_SPECIFIER macros.

          Describe ACE_{,U}INT{8,16,32,64}_TYPE macros.

        * ace/Basic_Types.h:

          Decouple the conditionals used to set the ACE_SIZEOF_{SHORT,INT,
          LONG,LONG_LONG} macros from those used to define the
          ACE_{,U}INT{8,16,32,64} types.

          Removed cases for specific CPUs and OSs, but provide a mechanism
          where values can be set in platform specific config-*.h headers.

Thu Mar 24 11:26:58 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/README:

          Describe ACE_HAS_{,U}INT{8,16,32,64}_T macros.

        * configure.ac:

          Added check for {,u}int{8,16,32,64}_t types and set
          ACE_HAS_{,U}INT32_T if found.

Thu Mar 24 13:23:00 2005  Rich Seibel  <seibel_r@ociweb.com>

        Moving updates for Mac made by Paul and Chad  to get it to work.

        * include/makeinclude/platform_macosx.GNU:

          Explicitly default the threads variable to threads=1.  This
          was preventing ACE_TMCast from building.
          Change the optimization option to -O2.  -O3 was causing some
          link problems in the IDL compiler.

        * bin/MakeProjectCreator/config/ftorbutils.mpb:

          Add a dependency on the PortableGroup library.  This is
          part of cleaning up the linkage between PortableGroup and
          some of the FT* libraries.

Thu Mar 24 14:12:19 2005  Steve Huston  <shuston@riverace.com>

        * include/makeinclude/platform_hpux_aCC.GNU: Rather than hand-set all
          needed macros and library references for multithreading, use the
          compiler's -mt option if not on a .2x compiler version. -mt was
          added at 03.30, so 03.2x doesn't have it - maintain the hand-set
          values for that. This leaves out .1x versions which probably
          aren't used any longer anyway.

Thu Mar 24 13:17:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Containers/Hash_Map_Hash.h:
        * examples/APG/Containers/Map_Manager_Specialization.cpp:
        * examples/APG/Containers/RB_Tree_Functors.h:
          Use template<> instead of ACE_TEMPLATE_SPECIALIZATION

Wed Mar 23 16:51:00 2005  Gary Maxey <gary.maxey@hp.com>

        * ace/README

          Describe new macro ACE_LACKS_UNSIGNEDLONGLONG_T

        * ace/Basic_Types.h

          Slightly alter declaration of ACE_U_LongLong to handle the "has
          long long but no unsigned long long" case.

          Make use of ACE_LACKS_UNSIGNEDLONGLONG_T in a few places to
          define other macros.

        * ace/Basic_Types.cpp
             Make use of ACE_LACKS_UNSIGNEDLONGLONG_T in existing #if

        * ace/Basic_Types.inl

          Alternate implementation for ACE_U_LongLong class.

        * ace/Time_Value.inl

          Add static_cast needed when using alternate implementation of
          ACE_U_LongLong (when ACE_LACKS_UNSIGNEDLONGLONG_T is defined).

        * ace/Log_Msg.cpp
          Make use of ACE_LACKS_UNSIGNEDLONGLONG_T in existing #if

        * ace/config-tandem-nsk-mips-v3.h

          Define ACE_LACKS_UNSIGNEDLONGLONG_T


Wed Mar 23 10:11:02 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Time_Value.h:

          Remove HPUX_10 conditional timespec_t typedef.  The typedef is
          also defined if ACE_LACKS_TIMESPEC_T, which is set in the HPUX
          config-*.h files.

Wed Mar 23 06:28:00 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Do not run this test if corba_messaging is disabled.

Tue Mar 22 18:25:27 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Time_Value.inl:

          Implement operator+ and operator- in terms of operator+= and
          operator-=.  This represents current C++ best practices, and
          eliminates a second call to normalize the results.

Tue Mar 22 11:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config*.h:
          Removed defining ACE_HAS_STD_TEMPLATE_SPECIALIZATION and
          ACE_HAS_STD_TEMPLATE_CLASS_MEMBER_SPECIALIZATION. We use now
          the normal C++ way of doing this and we don't need the defines
          above.

Mon Mar 21 18:19:24 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Shared_Memory_Pool.cpp:

          Add "defined(SEGV_MAPPER) || defined(SEGV_MEMERR)" to the
          preprocessor conditional that enables the test whether the fault
          address falls within the allocated memory blocks --- FreeBSD 5.X
          has a siginfo_t struct with a si_addr field, but doesn't provide
          SEGV_MAPERR.

          With this change, the automake build now supports FreeBSD 5.X.

Mon Mar 21 12:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
          Always define ACE_TEMPLATE_SPECIALIZATION as template<>
          and ACE_TEMPLATE_CLASS_MEMBER_SPECIALIZATION as nothing.
          All compilers we support do support this syntax and we
          are updating our code to juse template<> instead of the
          macro. When ACE_LACKS_DEPRECATED_MACROS is defined these
          defines are not set making it easy to detect places where
          deprecated macros are used.

        * ace/Atomic_Op.h:
        * ace/Condition_Recursive_Thread_Mutex.h:
        * ace/Functor.h:
        * ace/Functor_String.h:
        * ace/Null_Mutex.h:
        * ace/Process_Semaphore.h:
        * ace/Select_Reactor.h:
        * ace/Thread_Semaphore.h:
          Use template<> instead of ACE_TEMPLATE_SPECIALIZATION

Fri Mar 18 22:40:30 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Remove unused ACE_LACKS_SYSTIMES_H autoheader template.

          Remove ACE_HAS_SIG_ATOMIC_T autoheader template.  The
          description is provided by the AC_DEFINE in the check.

        * m4/platform.m4:

          Add ACE_SIZE_T_FORMAT_SPECIFIER and ACE_SSIZE_T_FORMAT_SPECIFIER
          definitions for Linux in ACE_CHECK_FORMAT_SPECIFIERS.  Processor
          specific values taken from config-linux-common.h.

          Remove ACE_UINT64_FORMAT_SPECIFIER definition for Linux from
          ACE_SET_PLATFORM_MACROS.

Fri Mar 18 22:36:28 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Use ACE_CHECK_LACKS_FUNCS instead of AC_CHECK_FUNC/AC_DEFINE for
          inet_aton().

Fri Mar 18 14:13:59 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Kokyu/Makefile.am:
        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/SSL/Makefile.am:
        * protocols/ace/HTBP/Makefile.am:
        * protocols/ace/RMCast/Makefile.am:
        * protocols/ace/TMCast/Makefile.am:

          Regenerate.

        * Kokyu/Kokyu.mpc:

          Inherit from core.
          Add pkgconfig_files section.

Fri Mar 18 13:15:10 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Thread_Manager.cpp:

          Fixed a deadlock condition where two threads calling wait() will
          block forever waiting for each other.

Fri Mar 18 10:25:13 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ace.mpc:

          Add pkgconfig_files section.

Fri Mar 18 09:56:55 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/QoS/qos.mpc:
        * ace/SSL/ssl.mpc:
        * protocols/ace/HTBP/HTBP.mpc:

          Add pkgconfig_files section.

Fri Mar 18 08:28:51 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Svc_Conf_y.cpp:
        * ace/ace.mpc:

          There was a slight snafu in one of my sed expressions that caused
          problems on unicode builds.

Fri Mar 18 06:52:59 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/Svc_Conf.h:
        * ace/Svc_Conf.l:
        * ace/Svc_Conf.y:
        * ace/Svc_Conf_Tokens.h:
        * ace/Svc_Conf_l.cpp:
        * ace/Svc_Conf_y.cpp:
        * ace/ace.mpc:

          Updated the rules to regenerate Svc_Conf_l.cpp and Svc_Conf_f.cpp.
          They are based on the original rules prior to the MPC switchover,
          but have been enhanced to minimize the diff's (completely removing
          the need for patching Svc_Conf_y.cpp).

        * etc/Svc_Conf_l.cpp.diff:

          Updated the diff to the latest version of Svc_Conf_l.cpp.

        * etc/Svc_Conf_y.cpp.diff:

          Removed this file.

Fri Mar 18 09:49:32 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Retransmit.cpp:
        * protocols/ace/RMCast/Acknowledge.cpp: Added missing headers.

Thu Mar 17 23:13:34 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/config-lite.h:

          Mark ACE template specialization related macros as deprecated
          through documentation and by placing them within an "#if
          !defined (ACE_LACKS_DEPRECATED_MACROS)" block.  Developers
          should use the standard C++ template specialization syntax
          instead.

Thu Mar 17 11:02:15 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Add no-define to AC_INIT_AUTOMAKE so that PLATFORM and VERSION
          are not defined in config.h.

Thu Mar 17 19:45:10 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Acknowledge.cpp:
        * protocols/ace/RMCast/Acknowledge.h:
        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Link.h:
        * protocols/ace/RMCast/Retransmit.cpp:
        * protocols/ace/RMCast/Retransmit.h: Implemented manual thread
        stopping instead of SUS thread cancellation.

        * protocols/ace/RMCast/Bits.h:
        * protocols/ace/RMCast/Socket.cpp: Some cleanups.


Thu Mar 17 07:34:30 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Match "$(TAO_IDL)" instead of "TAO_IDL", to avoid emitting
          TAO_IDL/TAO_IDLFLAGS variable definitions for the TAO_IDL
          Makefile.am itself.

Wed Mar 16 10:29:28 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_other_tests.lst:

          Enabled the EC_Mcast test.  The RTEvent library and test itself
          have been fixed.

Wed Mar 16 09:54:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Fixed (really) cleanup target for VxWorks builds.

Tue Mar 15 19:08:01 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/ace.m4:
        * m4/tls.m4:

          Changed the ACE_ENABLE_SSL macro to depend on ACE_CHECK_TLS
          instead of requiring the latter be called in configure.ac.
          Fixes a bug where ACE and TAO's configure scripts selected
          different SSL options.

Tue Mar 15 13:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Removed Two_Objects tests, it is already in the orb core test
          list, no need to run it twice

Mon Mar 14 16:32:08 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Socket.h:
        * protocols/ace/RMCast/Socket.cpp: Added support for querying
        incoming message size.

        * examples/RMCast/Send_Msg/Receiver.cpp: Added a check that
        discards messages of a wrong size before reading them.

Mon Mar 14 16:13:13 (IST) 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/tao_orb_tests.lst:

          Added the Hang_Shutdown test to the daily builds.

Mon Mar  14 10:07:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Fixed cleanup target for VxWorks builds.

Sat Mar  12 13:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Removed SANDBOX for the ImplRepo NameService test, I see no reason
          why we just can't run it. Only in a minimum build we can't run it

Fri Mar 11 18:21:49 2005 Steve Huston  <shuston@riverace.com>

        * configure.ac: When checking for std namespace, decide which
          iostream file to include based on ACE_USES_OLD_IOSTREAMS. On
          systems that offer both iostream and iostream.h, including
          iostream.h will hide the std stuff even though it's available.

Fri Mar 11 18:15:18 2005  Steve Huston  <shuston@riverace.com>

        * m4/compiler.m4: Remove the hard-coded addition of -library=iostream.
          This uses old iostreams. Not sure why this was here, since the
          regular GNU build doesn't turn it on.

        * ace/OS_Memory.h: For Sun CC, add settings needed for proper
          definition of ACE_nothrow. Thanks to Mark Wilson
          <mwil at lle dot rochester dot edu> for reporting this.

        * THANKS: Added Mark Wilson to the Hall of Fame.

Fri Mar 11 18:05:29 2005  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_arpa_inet.cpp (inet_aton): Windows Server 2003 changed
          the behavior of inet_addr() when given a zero-length name. Change
          zero-length names to " " (1 space) to restore the old behavior and
          match other platforms' behavior.

Fri Mar  11 18:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
          Add -$(MAKEFLAGS) to the makerules

Fri Mar  11 11:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Logging/Use_Multiple_Sinks.cpp:
        * examples/APG/Logging/Use_Ostream.cpp:
        * examples/APG/Logging/LogManager.h:
          Changed _MSC_VER checks

Fri Mar  11 10:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-msvc.h:
          Added fuzz disable for check_for_msc_ver

        * bin/fuzz.pl:
          Lowered the level for the _MSC_VER check to level 3. This is for
          checking if we don't check _MSC_VER >= 1200. This is the checking
          for msvc 6 or newer and that is the minimum we support. A lof of
          files are updated yesterday, this fuzz check is to detect the last
          and to detect newer commits that have this check

Fri Mar  11 10:43:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Added additional cleanup target for VxWorks builds.

Thu Mar 10 17:28:38 2005  Steve Huston  <shuston@riverace.com>

        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/AIO_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/TPC_Logging_Server.cpp: Only dynamic_cast a
          ACE_HANDLE to int when not on ACE_WIN32. Else there's a risk of
          compile errors, such as from HP aC++ that a dynamic_cast from
          int to int is illegal.

Wed Mar  9 21:59:24 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Time_Value.inl (ACE_Time_Value): Moved the definition of
          ACE_Time_Value::set (const struct timeval &) to before it is
          used by the ACE_Time_Value constructor.  This avoids many
          warnings with GCC 3.4.1.  Thanks to Peter Heitman
          <pheitman@cisco.com> for reporting this and suggesting the fix.

Wed Mar  9 11:09:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Removed duplicate entry of Server_Leaks test

Wed Mar  9 10:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-hpux-11.00.h:
          With the latest versions of the HP aCC compiler, when the compiler
          option -AA is passed, then _INCLUDE__STDC_A1_SOURCE is defined and
          then we get a three parameter wcstok. We define at that moment
          ACE_HAS_3_PARAM_WCSTOK.

Wed Mar  9 09:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/msvc_static_order.lst:
          Added RMCast and TMCast libraries so that they are build first,
          fixes problems in the msvc6 static build

Tue Mar  8 17:01:34 2005  Steve Huston  <shuston@riverace.com>

        * configure.ac: Correct the variable checked for whether or not to
          do the SSL/TLS check from ace_user_with_ssl to ace_user_enable_ssl.
          Matches the change from --with-ssl to --enable-ssl. See also:
          Sat Jan 29 00:39:37 2005  J.T. Conklin  <jtc@acorntoolworks.com>

Tue Mar  8 15:26:29 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Acceptor.cpp (handle_accept): Don't restart an accept
          as a result of a canceled accept.

        * ace/Asynch_IO_Impl.h (ACE_Asynch_Operation_Impl):
        * ace/Proactor_Impl.h (ACE_Proactor_Impl):
        * ace/WIN32_Asynch_IO.{h cpp}:
        * ace/WIN32_Proactor.{h cpp}:
        * ace/POSIX_Asynch_IO.{h cpp}:
        * ace/POSIX_Proactor.{h cpp}: Added 'const' to all methods that accept
          a ACE_Handler::Proxy_Ptr. Makes sure that the proper management of
          reference count on the handler proxy is done.

Tue Mar  8 11:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          In the default.features file used to generate the GNU makefiles
          removed tk_reactor=1 and xt_reactor=1, these are not used anymore
          and added tk=1, xt=1, fl=1 and qt=1

Tue Mar  8 07:02:14 2005  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
          Rearranged (sorted) defines.

Mon Mar  7 21:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added new VxWorks and OpenVMS versions

Mon Mar  7 14:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-doxygen.h:
          Added ACE_USE_RCSID defined as 0, don't expand the ACE_RCSID
          macro when generating the documentation

Mon Mar  7 06:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Process_Manager.cpp:
          Added the include of Countdown_Time.h

Sun Mar  6 20:21:54 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Regenerate.

Sun Mar  6 17:17:57 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        From Matthew Harris <mharris at hynomics dot com>
        * m4/ace.m4:

          Fixed "$withval" mismatch in AC_ARG_ENABLE blocks.  Use
          "$enableval" instead.  Addresses problems where attempts to
          enable/disable support for the ACE ACEXML, QoS and SSL libraries
          via the `configure script' would fail.  [Bug 2053]

Sun Mar  6 20:04:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Process_Manager.cpp:
          Added include of OS_NS_sys_time.h to get ACE_OS::gettimeofday

        * ace/Process_Manager.h:
          Include Time_Value.h instead of Countdown_Time.h

Sun Mar  6 19:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Countdown_Time.{h,cpp}:
          Removed not needed includes, removed workaround for WinCE, it is just
          needed for ACE_Time_Value that is in Time_Value.h and removed empty
          comment lines

Sun Mar  6 19:01:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/SSL/SSL_SOCK_Acceptor.cpp:
          Added the include of Countdown_Time.h

Sun Mar  6 18:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Time_Value.h:
          Readded removed include of os_time.h to fix compile errors with
          Borland

Sun Mar  6 15:01:00 2005  Marek Brudka  <mbrudka@aster.pl>

        * include/makeinclude/wrapper_macros.GNU (Message):
        * bin/MakeProjectCreator/config/global.features (Module):
        * ACE-INSTALL.html (Module):
        Simplied Makefile generation for GUI support in ACE and TAO.

Sun Mar  6 01:58:04 2005  Tao Lu  <lu@dre.vanderbilt.edu>

        * Kokyu/tests/DSRT_MIF/MIF.cpp
          Added the include of Countdown_Time.h

Sun Mar  6 00:52:13 2005  Tao Lu  <lu@dre.vanderbilt.edu>

        * ace/Process.cpp
        * ace/Process_Manager.h
        * ace/Process_Manager.cpp
        * ace/Reactor_Impl.h
        * ace/TP_Reactor.cpp
        * ace/Proactor_Impl.h
        * ace/POSIX_CB_Proactor.cpp
        * ace/SSL/SSL_SOCK_Connector.cpp
        * ace/SSL/SSL_SOCK_Stream.cpp
          Removed unnecessary includes and added include
          at proper places.

        * ace/ace.mpc
          Added Countdown_Time.cpp.

Sat Mar  5 23:57:53 2005  Tao Lu  <lu@dre.vanderbilt.edu>

        * ace/Time_Value.h
        * ace/Time_Value.cpp
        * ace/Time_Value.inl
        * ace/Countdown_Time.h
        * ace/Countdown_Time.cpp
          moved the ACE_Countdown_Time to seperate files to avoid
          the wrong Windows release build behavior for client
          application when the right header is not included.

          There are ways of avoiding many changes but to make things
          look nice .... so will work on the whole ACE/TAO repo next.

Sat Mar  5 08:48:02 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * tests/QtReactor_Test.cpp: Reformatted this file so it conforms to
          the ACE programming style guide.

        * netsvcs/lib/TS_Clerk_Handler.cpp (parse_args): Fixed a typo
          where ACE_TESXT should be ACE_TEXT.  Thanks to
          Sean Parker <supinlick@yahoo.com> for reporting this.

Fri Mar  4 10:32:17 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Naming_Context.cpp: Changed ACE_OS::strcat() to
          ACE_OS::strcpy() to fix a bug.  Thanks to David Hauck
          <davidh@netacquire.com> for reporting this bug and providing a
          fix.

Fri Mar  4 15:18:50 2005  Boris Kolpackov  <boris@kolpackov.net>

        * examples/RMCast/Send_Msg/Receiver.cpp:
        * examples/RMCast/Send_Msg/Sender.cpp: Replaced usage of
        std::vector and std::cerr with ACE_Vector and ACE_ERROR/ACE_DEBUG
        respectively. This should fix warnings in VC6 build.

Fri Mar  4 12:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Process_Manager.cpp:
          Initialise pointer with 0

Thu Mar  3 12:17:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/bor.mpd:
          Only use mkdir to create a directory when it not exists yet

Wed Mar  2 21:44:22 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Socket.cpp:
        * protocols/ace/RMCast/Socket.h: Moved implementation to
        Socket_Impl. Made Socket delegate all functionality to
        Socket_Impl. This way I can use all kinds of obfuscated
        names in Socket_Impl (in order to fight compiler warnings)
        without affecting end user.

        * protocols/ace/RMCast/Stack.h: Removed export macro from
        all types declared there.

        * examples/RMCast/Send_Msg/Receiver.cpp:
        * examples/RMCast/Send_Msg/Sender.cpp: Updated to use
        ACE_INET_Addr instead of ACE_RMCast::Address (which was
        just a typedef of ACE_INET_Addr).

Wed Mar  2 09:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated the build instructors for the tests with Borland, the
          protocols directory must also be build before the tests. Thanks
          to Aapo M�inen <aapo dot makinen at firstbeattechnologies dot com>
          for reporting this.

Tue Mar  1 12:39:11 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * apps/JAWS3/jaws3/Protocol_Handler.h: Added
          JAWS_Export to class JAWS_Protocol_Handler.  Thanks to Shaun
          Cooley <scooley4241@hotmail.com> for reporting this.

Tue Mar  1 10:33:15 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Acknowledge.h: Made Acknowledge::Descr
          public to get broken Sun C++ 5.4 out of its misery.

Tue Mar  1 07:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_aCC.GNU:
          Also HP aCC 3.60 has a bug when having private constructors and
          creating an instance from the friend class

Mon Feb 28 17:10:41 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Pseudo_Task.{h cpp}: Removed all the flg_active_ and
          finish locking stuff. Use the thr_count() value to tell if the
          thread is running, and don't try to interlock cleanup activities
          with other classes. It's messy and doesn't work right. There are
          too many race conditions between closing handles and closing down
          this object.
          Corrected ACE_LIB_TEXT use instead of
          ACE_TEXT, and added missing commas between some strings.

        * ace/POSIX_Asynch_IO.{h cpp}:
        * ace/WIN32_Asynch_IO.{h cpp}: Don't try to interlock against the
          Asynch_Pseudo_Task. If it's going, it's going. Only hold the lock
          around access to the connection/handle map since that's accessed
          from the asynch pseudo task thread as well as the caller's.

Mon Feb 28 09:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_hpux_aCC.GNU:
          HP aCC 3.57 has a bug that causes a compile error when we have
          a class with a private constructor and we try to create it from
          a friend class. We disable array optimization for this compiler
          version to be able to build ACE and TAO.

        * ace/OS_NS_stdio.cpp (snprintf):
          Added two static cast to silence warnings with Borland and MinGW

Mon Feb 28 11:10:58 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Acknowledge.h: Made Acknowledge::Queue
          a friend of Acknowledge. Hopefully this will help Sun C++ 5.4.

Sun Feb 27 08:51:23 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_stdio.cpp (snprintf): Enhanced this function so
          it terminates the string with a null char if it is *exactly* the
          same length as the buffer.  Thanks to Bruce MacDonald <brucemac
          at netcomuk dot co dot uk> for reporting this and providing a
          fix.  This fixes bugid 2058.

Fri Feb 25 18:46:33 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Pseudo_Task.cpp: Forgot some cleanups for places
          returning -2. Fixed. Also reduced the clutter of diagnostic
          messages and added useful output (such as %p) to those remaining.

        * ace/POSIX_Asynch_IO.cpp: Additional handle cleanups and checks
          for ACE_POSIX_Asynch_Accept::close ().

Fri Feb 25 17:29:12 2005  Steve Huston  <shuston@riverace.com>

        * ace/config-hpux-11.00.h: Always set ACE_HAS_SVR4_DYNAMIC_LINKING.
          This is now available always.

        * include/makeinclude/platform_hpux_gcc.GNU: Add -Wl,-E to
          SOFLAGS for linking shared libraries. Per info in
          Bugzilla #2057, this is needed to have dynamic_cast work across
          shared libraries. It still doesn't work, and not sure why...

        * tests/DLL_Test.cpp: Use the correct ACE_DEBUG specifier for
          pointers (%@, not %x).

        * tests/DLL_Test_Impl.cpp: Added an ACE_DEBUG in dynamic_cast_test()
          to see what's being tested, not only the results.

Fri Feb 25 13:49:27 2005  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Asynch_IO.{h cpp}: Added 'const' to all the handler_proxy
          references on Result-type constructors.
          Removed the ACE_LIB_TEXT around strings to ACE_TRACE.
          ACE_TRACE adds the ACE_LIB_TEXT.
          (Asynch_Accept::handle_close()): This can be called if the
          listen handle gets closed in addition to when the pseudo task
          is being destroyed. Mark the handle invalid.

        * ace/WIN32_Asynch_IO.{h cpp}: Added 'const' to all the handler_proxy
          references on Result-type constructors.
          (accept): Corrected function name in message.
          (ACE_WIN32_Asynch_Accept_Result::complete): If the accept failed,
          be sure to close the accept handle created in accept().

        * ace/Asynch_Pseudo_Task.cpp: Removed return value -2 to signify
          task shutting down, and return -1/errno = ESHUTDOWN instead.
          Secret values like -2 make maintenance harder.
          Also removed some of the ACE_ERROR() statements in favor of
          setting a reasonable errno value. Lets callers know what's going
          on in the code, not just show it in diagnostic output.

Fri Feb 25 07:08:35 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/SOCK_Dgram_Bcast.cpp:

          Added !defined(__APPLE__) to conditional so sockaddr.sa_len
          version of the code will be used.  Fixes SOCK_Bcast_Dgram_Test
          failures.

        * bin/MakeProjectCreator/config/event_serv.mpb:

          The CosEvent_Serv library requires the CosNaming library.

        * bin/auto_run_tests.pl:

          Put a space between my and $ to avoid problems with older version
          of perl.

        * bin/tao_other_tests.lst:

          Don't run the XML_Persistence or Reconnecting Notify tests from
          static builds.

        * include/makeinclude/platform_hpux_aCC.GNU:

          Removed an extra closing parenthesis from the line that determined
          the HP-UX model.

Fri Feb 25 12:55:37 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Link.h:
        * protocols/ace/RMCast/Link.cpp: Overrode recv() from
        Out_Element. This should clear warnings on BCB and HP C++.

Fri Feb 25 10:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
          Added ifndef ACE_LACKS_DEPRECATED_MACROS around the ACE_x_cast
          macros so that we can easily prevent the ACE_x_cast macros to be
          defined so that we can check whether they are used in ACE/TAO

Thu Feb 24 21:05:42 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Socket.h:
        * protocols/ace/RMCast/Socket.cpp: Removed class-scope
          using-declaration for VxWorks can't handle it.

Thu Feb 24 12:37:19 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_Acceptor.cpp (accept): Use ==, not =, to check a value.
          This is why constants work better on the left-hand side...

        * ace/POSIX_Asynch_IO.{h cpp} (ACE_POSIX_Asynch_Result):
        * ace/WIN32_Asynch_IO.{h cpp} (ACE_WIN32_Asynch_Result): Changed
          the handler_proxy_ from a Proxy_Ptr& to a Proxy_Ptr. This causes
          the reference count to be incremented properly, avoiding premature
          deletion of the ACE_Handler. Fixes weird errors and crashes with
          Proactor_Test.

Wed Feb 23 13:53:39 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/taodefaults.mpb:

          Add automake specific am_version variable.

Wed Feb 23 19:56:01 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Stack.h: Added export macros.

Wed Feb 23 19:48:59 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Bits.h:
        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Socket.cpp:
        * protocols/ace/RMCast/Socket.h: Replaced auto_ptr with
          ACE_Auto_Ptr.

Tue Feb 22 18:03:41 2005  Steve Huston  <shuston@riverace.com>

        * ace/Ping_Socket.cpp: Rather than try to use struct ip, which can
          change subtly between platforms, use the well-known layout of the
          IP header to pick off the length field. This avoids a maze of
          #if blocks to use the platform struct properly at the cost of
          using low-level details.

Tue Feb 22 21:30:04 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Link.cpp: Replaced assignment of auto_ptr's
          with a call to reset() in search for a way around VxWorks' broken
          implementation.

Tue Feb 22 21:20:22 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Stack.cpp:
        * protocols/ace/RMCast/Stack.h: Moved implementation of functions
          from .h to .cpp. This should get rid of warnings in VC7.1 build.

Mon Feb 21 18:18:29 2005  Steve Huston  <shuston@riverace.com>

        * configure.ac: Added a check for the need to add _NO_BITFIELDS to
          compile macros. This is needed to prevent compile errors on
          Visual Age C++ on AIX. Without it, the check for need to alter
          TCP header file includes gets the wrong answer, then the build
          tries the wrong thing. This gets around having to know the
          TCP header issue apriori like we do with the hand config.h.

          Changed the ACE_HAS_DEV_POLL test from a check for the /dev/poll
          file to a run-test to be able to open it. The file is there on
          HP-UX, but not useable til some patches are installed.

          Fixed a missing set of quotes on $ace_user_with_ssl.

        * ace/Asynch_Acceptor.cpp (ACE_Asynch_Accept::handle_accept): Don't
          try to restart an accept if the listen socket is closed. Together
          with closing the socket in the destructor, prevents errors at
          destructor time from trying to restart an accept.

        * ace/Dev_Poll_Reactor.cpp: Include <sys/devpoll.h> if not on
          Linux, not only if on Solaris. Allows this to work on other
          /dev/poll-enabled platforms.

Mon Feb 21 12:43:41 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.{h cpp} (ACE_Asynch_Accept): Added an optional
          addr_family parameter to ACE_Asych_Accept. Defaults to AF_INET
          (IPv4) to maintain current functionality.
          Doxygen-ized the comments for accept().

        * ace/Asynch_IO_Impl.h (ACE_Asynch_Accept_Impl): Pass the new
          addr_family arugment along to the implementation classes.

        * ace/POSIX_Asynch_IO.{h cpp}:
        * ace/WIN32_Asynch_IO.{h cpp} (ACE_WIN32_Asynch_Accept::accept): Use
          the new addr_family parameter to open a new accept handle if needed.
          It is up to the caller to make sure that addr_family matches the
          family used when the listen socket was opened.
          Also use the address family to scale the required size
          of the address area in the specified message block.

        * Asynch_Acceptor.{h cpp}: Added a new addr_family_ member to remember
          the in-use address family from open(). Use this value to calculate
          the space needed for addresses, as well as passing it to
          ACE_Asynch_Accept::accept() to open the correct type of handle
          when needed.
          Marked the address_size() method deprecated. It assumes use of
          IPv4 addresses and since it's static, it can't use the addr_family_
          knowledge. Replaced all internal uses of this with the proper
          adjustment based on the address family in use.
          Close the listen_handle_ when this object is destroyed.

Mon Feb 21 09:32:21 2005  Steve Huston  <shuston@riverace.com>

        * ace/Ping_Socket.h: Removed extraneous ',' to fix compiler warning.

        * m4/config_h.m4: Added AH_TEMPLATE for ACE_LACKS_INET_ATON
        * configure.ac: Added check for ACE_LACKS_INET_ATON.

Mon Feb 21 15:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added missing semi colon after the Identity test

Mon Feb 21 07:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/RMCast/Send_Msg/Send_Msg.mpc:
          Both examples require exceptions

Sun Feb 20 19:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/rmcast.mpb:
          Removed exceptions as base projects

Sat Feb 19 10:32:29 2005  Boris Kolpackov  <boris@kolpackov.net>

        * examples/RMCast/Send_Msg/Receiver.cpp: Added explicit
          return statements from ACE_TMAIN.

Sat Feb 19 00:54:22 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/Select_Reactor_T.inl (deactivate):

          Fixed a potential race when trying to update deactivated_ flag.

Fri Feb 18 20:05:53 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Signal.{h,inl}: Make the destructor of ACE_Sig_Handler virtual
          to silence warnings.  Thanks to Lothar <lothar@xcerla.com> for
          reporting this.

Fri Feb 18 19:54:33 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/Max_Default_Port_Test.cpp:

          Fixed a bug because I forgot an #if/#endif bracket:-(

Fri Feb 18 18:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Don't try to run bug_1551_regression on Irix

Fri Feb 18 09:46:25 2005  Dale Wilson  <wilson_d@ociweb.com>

        * NEWS:
          Documented TSS changes.

        * ace/OS_NS_Thread.h:
          Added a comment that the "inst" argument to ACE_OS::thr_key_detach
          and thr_keycreate is deprecated and will be ignored.

Fri Feb 18 09:34:06 2005  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.cpp:
          Remove another ACE_UNUSED_ARG for the defunct inst argument.
          This one showed up in single-threaded builds.

Fri Feb 18 13:48:33 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/Max_Default_Port_Test.cpp:

          Tweaked the test for VxWorks so it can also succeed on
          that platform with non-optimized kernels.

Fri Feb 18 07:21:33 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Socket.cpp: Qualified call to
          base's send(). Hopefully it will make VC6 happy.

Thu Feb 17 18:23:33 2005  Steve Huston  <shuston@riverace.com>

        * m4/ace.m4: Corrected error message on --enable-wfmo.
          Added default (yes) for --enable-rtti.

Thu Feb 17 14:26:28 2005  Boris Kolpackov  <boris@kolpackov.net>

        * examples/RMCast/Send_Msg/Sender.cpp:
        * examples/RMCast/Send_Msg/Receiver.cpp: Changed to use
          ACE_TMAIN and ACE_TCHAR instead of main and char.


Thu Feb 17 14:15:42 2005  Boris Kolpackov  <boris@kolpackov.net>

        * protocols/ace/RMCast/Protocol.h: Removed accidental use
          of C++ exceptions plus changes to make VC6 happy.

        * protocols/ace/RMCast/RMCast.mpc: Removed `exceptions'
          from the list of prerequisites.

        * examples/RMCast/Send_Msg/Receiver.cpp: Got rid of
          repetitive `i' uses in for-loops. VC6 can't handle that.

Thu Feb 17 09:48:03 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * protocols/ace/RMCast/RMCast.mpc:
        * protocols/ace/TMCast/TMCast.mpc:

          Added Pkgconfig_Files sections.

Thu Feb 17 08:32:08 2005  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.cpp:
          Fix compile errors when TSS Emulation is enabled.
          de-templatize the Thread_Safe_Instance object to avoid fighting
          template instantiation issues now.

Wed Feb 16 17:10:14 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_Thread.cpp (thr_key_detach, thr_keycreate):

          Removed "ACE_UNUSED_ARG" macro calls for non-existent "inst"
          parameter.

Wed Feb 16 17:04:50 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/MakeProjectCreator/config/rmcast.mpb:
        * protocols/ace/RMCast/RMCast.mpc:

          The RMCast protocol implementation currently requires thread
          support.  Updated these MPC files accordingly.

        * protocols/ace/RMCast/Protocol.h (NAK):

          Since "NAK" is now a class instead of struct, public inheritance
          must be explicitly specified.  Fixes compile-time errors related
          to inaccessible members in the "Profile" base class.

Wed Feb 16 18:31:28 2005  Steve Huston  <shuston@riverace.com>

        * protocols/ace/RMCast/Acknowledge.cpp:
        * protocols/ace/RMCast/Link.cpp:
        * protocols/ace/RMCast/Socket.cpp:
          Fixed some constructs to make MSVC6 happy. Primarily, MSVC6 won't
          allow type& var (ref). Must be type& var = ref.

        * protocols/ace/RMCast/Protocol.h: Changed struct NAK to class NAK to
          make MSVC6 happy.

          MSVC6 is still not completely happy, but someone with more insight as
          to the intentions here will need to take a look.

Wed Feb 16 16:18:45 2005  Dale Wilson  <wilson_d@ociweb.com>

        * ace/OS_NS_Thread.cpp:
          Rework the ACE_TSS_Cleanup to:
          - Remove special handling for ACE_TSS<X>. (No automatic key free)
          - If the application replaces a TSS object, the application assumes
            responsibility for deleting the old object (as specifed by POSIX)
            Note that the TSS_Test program depends on this behavior.
          - If an application frees a TSS key while it is still in use by other
            threads, the TSS objects are leaked.  Formerly I had added an ASSERT
            to catch this case, but POSIX says it's legal (but I still think it's
            wrongheaded!)
          - Interpret a request to attach a zero pointer to a TSS key for a thread
            as a detach from the key.  The TSS_Test program does this then frees
            the key (which is how I found out about the previous point).
          - Rework the ACE_TSS_Cleanup instance support to make it safe to delete
            the ACE_TSS_Cleanup object even in not all threads have terminated.
            Lingering threads may leak, but they shouldn't crash.  Note that on
            windows it is commmon practice to leave threads running -- expecting them
            to be terminated by end-of-process (shudder.), and TAO has a habit of not
            waiting for a thread blocked at a select() to terminate.
          - Make it safe to call ACE_OS::cleanup_tss more than once for the same
            thread.  This makes the change to OS_NS_stdio (below) safe.

        * ace/OS_NS_Thread.h:
          Remove tss_inst from the ACE_TSS_Info structure.
          It was used by ACE_TSS<X> special handling.

        * ace/TSS_T.cpp:
          Explicitly call ACE_OS::thr_keyfree from the destructor of an ACE_TSS<X>
          rather than relying on special handling from ACE_TSS_Cleanup.

        * ace/OS_NS_stdio.cpp:
          Add a call to ACE_OS::cleanup_tss to the DllMain function on THREAD_DETACH.
          This will cleanup TSS for non-ACE threads that call ACE functions (like logging)
          on WIN32 systems.

          This change addresses Bugzilla 1542 and 2044 (although not the way the author of the
          bugzilla report suggested.)


Wed Feb 16 20:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_rel_manpages:
          We are now using doxygen 1.4.1

Wed Feb 16 11:17:27 2005  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdlib.cpp: Don't #include <limits> if the max() method
          won't be used; same reasoning as:
          Tue Feb 15 18:19:25 2005  Steve Huston  <shuston@riverace.com>

Wed Feb 16 18:15:07 2005  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Fixed setting of ACE_LYNXOS_MAJOR and ACE_LYNXOS_MINOR.

Wed Feb 16 11:04:29 2005  Steve Huston  <shuston@riverace.com>

        * ace/SSL/SSL_Asynch_Stream.cpp: Corrections to use ACE_Handler::Proxy
          instead of naked ACE_Handler pointers/references.

Wed Feb 16 10:19:19 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.h: Remove the extraneous ACE_Handler:: qualification
          of Proxy_Ptr used inside ACE_Handler. This confused MSVC 6.

Wed Feb 16 10:13:41 2005  Steve Huston  <shuston@riverace.com>

        * examples/Reactor/Proactor/post_completions.cpp:
        * examples/Reactor/Proactor/test_proactor.cpp: Adjust the overridden
          result class and internal proactor calls to pass handler's proxy
          pointer, not the handler itself.

Wed Feb 16 07:02:15 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_stdlib.inl:
        * ace/config-sunos5.7.h:
        * ace/config-sunos5.8.h:

          On SunOS 5.7, some wchar_t related methods are always in the std
          namespace when building with SunCC 5.3.

        * bin/PerlACE/Process_Unix.pm:
        * bin/PerlACE/Process_Win32.pm:

          Added a ACE_TEST_WINDOW environment variable which can be used to
          start each process    in a separate window by setting it to
          something like 'rxvt -e' and ACE_TEST_VERBOSE which causes the
          command line of each process to be printed out as it is started.

        * examples/C++NPv2/C++NPv2.mpc:

          Added additional project ordering for the gnuace type to avoid
          build problems with parallel builds.

        * examples/Log_Msg/Log_Msg_MFC/Log_Msg_MFCDlg.cpp:

         Simple modifications to allow this to build with EVC 4.

        * include/makeinclude/platform_g++_common.GNU:

          Changed a grep command to something compatible with Solaris as
          well as Linux.

        * include/makeinclude/platform_sunos5_sunc++.GNU:

          Set the default template instantiation mode to automatic for every
          version except SunCC 4.2.

Wed Feb 16 12:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace_rmcast.doxygen:
          Fixed typo in INPUT

Tue Feb 15 18:10:56 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Removed ACE_ENABLE_RMCAST macro.  Building RMCast library is now
          unconditional.

Tue Feb 15 18:45:26 2005  Steve Huston  <shuston@riverace.com>

        * ace/POSIX_Asynch_IO.{h cpp}:
        * ace/POSIX_Proactor.cpp: Fixed compile errors resulting from
          Proxy_Ptr changes, below.

Tue Feb 15 18:19:25 2005  Steve Huston  <shuston@riverace.com>

        * ace/Asynch_IO.{h cpp}:
        * ace/Asynch_IO_Impl.h:
        * ace/POSIX_Asynch_IO.{h cpp}:
        * ace/POSIX_Proactor.{h cpp}:
        * ace/Proactor.{h cpp}:
        * ace/Proactor_Impl.h:
        * ace/WIN32_Asynch_IO.{h cpp}:
        * ace/WIN32_Proactor.{h cpp}: All methods that accepted an ACE_Handler
          below the user-accessed methods were changed to accept an
          ACE_Handler::Proxy_Ptr instead. The ACE_Handler class has a new
          Proxy_Ptr typedef which is an ACE_Refcounted_Auto_Ptr for
          a Proxy class. When an ACE_Handler is created, it allocates a
          Proxy to refer to itself. The Proxy carries a pointer to the
          ACE_Handler it proxies for in lower levels of the framework.
          When the ACE_Handler is destroyed, it clears the ACE_Handler
          pointer in the proxy.
          Any part of the framework that dispatches completions gets the
          ACE_Handler pointer from the proxy and only dispatches if the
          pointer is not 0. This allows ACE_Handlers to be deleted while
          operations may be outstanding, a previously vexing issue since one
          can never be sure how many operations are outstanding at any given
          time. The Proxy remains valid until all references to it are
          released.

        * ace/config-win32-common.h: Removed NOMINMAX define. The min/max
          stuff is needed for MFC and CString classes and, since we require
          ACE includes to come before system includes, adding NOMINMAX in all
          cases makes life very hard for these users.

        * ace/OS_NS_stdlib.cpp (mkstemp_emulation): Don't try the
          std::numeric_limits<char>::max() call if 'max' is a macro. Use the
          older hard-coded 127 instead.

Tue Feb 15 14:33:18 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/RMCast/Send_Msg/Makefile.am:
        * examples/TMCast/Member/Makefile.am:

          Regenerated.

        * examples/RMCast/Send_Msg/Receiver.cpp:
        * examples/RMCast/Send_Msg/Sender.cpp:
        * examples/TMCast/Member/member.cpp:

          Changed <protocols/ace/*.h> to <ace/*.h> so headers are
          #included the same regardless of whether they're in the
          source tree or installed.

        * examples/TMCast/Member/Member.mpc:

          Add exename definition so executable is actually built.

Tue Feb 15 16:15:28 2005  Steve Huston  <shuston@riverace.com>

        * examples/RMCast/Receiver.cpp:
        * examples/RMCast/Sender.cpp:
        * examples/TMCast/Member/member.cpp: Corrected location of includes
          after they moved.

Tue Feb 15 13:34:42 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:

          Move examples until after protocols in SUBDIRS.

Tue Feb 15 13:32:15 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure moved RMCast and TMCast libraries.

        * bin/MakeProjectCreator/config/rmcast.mpb:

          Removed "requires += rmcast".  The RMCast library is now built
          unconditionally.

        * bin/MakeProjectCreator/config/rmcast.mpb:
        * bin/MakeProjectCreator/config/tmcast.mpb:

          Append $(ACE_ROOT)/protocols to includes.

Tue Feb 15 21:27:25 2005  Olli Savia  <ops@iki.fi>

        * ace/config-lynxos.h:
        * include/makeinclude/platform_lynxos.GNU:
          Updated. Utilize new ACE_LYNXOS_* macros, removed some ancient
          settings etc.

        * examples/APG/ThreadPools/LF_ThreadPool.cpp:
        * examples/APG/ThreadPools/ThreadPool.cpp:
          Replaced NULL with 0.

        * tests/Reactor_Dispatch_Order_Test.cpp:
          Utilize new ACE_LYNXOS_* macros to differentiate LynxOS
          versions.

Tue Feb 15 10:23:39 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * examples/Service_Configurator/Misc/Timer_Service.cpp (handle_close):
          Make sure to cancel the timer when we're done.  Thanks to Scott
          Z <sz@finsatconsulting.com> for reporting this.

Tue Feb 15 11:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ACE.h:
        * ace/OS_NS_string.h:
          Doxygen improvements

Tue Feb 15 11:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace_rmcast.doxygen:
          Updated because of move of RMCast library

Mon Feb 14 20:19:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * protocols/ace/RMCast/Socket.h (Socket):

          Export this class in the shared library case.  Addresses
          link-time errors in MS Windows builds.

Mon Feb 14 18:45:28 2005  Steve Huston  <shuston@riverace.com>

        * protocols/ace/RMCast/Acknowledge.{h cpp}:
        * protocols/ace/RMCast/Link.h:
        * protocols/ace/RMCast/Protocol.{h cpp}:
        * protocols/ace/RMCast/Retransmit.{h cpp}:
        * protocols/ace/RMCast/Simulator.{h cpp}:
        * protocols/ace/RMCast/Socket.{h cpp}:
        * protocols/ace/RMCast/Stack.{h cpp}:
          Get RMCast's includes by #include "file.h", not
          #include <ace/RMCast/file.h>.

Mon Feb 14 18:24:19 2005  Steve Huston  <shuston@riverace.com>

        * ace/OS_TLI.inl: Added "namespace ACE_OS" around all the methods,
          instead of prepending ACE_OS to the names. This continues some
          similar changes, such as to OS_NS_signal.inl.

        * apps/JAWS3/jaws3/Asynch_IO.h:
        * apps/JAWS3/jaws3/Asynch_IO_Helpers.h:
        * apps/JAWS3/jaws3/Concurrency_T.h:
        * apps/JAWS3/jaws3/Event_Dispatcher.h:
        * apps/JAWS3/jaws3/Options.h:
        * apps/JAWS3/jaws3/Reactive_IO.h:
        * apps/JAWS3/jaws3/Reactive_IO_Helpers.h:
        * apps/JAWS3/jaws3/Signal_Task.h:
        * apps/JAWS3/jaws3/Synch_IO.h:
          Removed #include "ace/OS.h", replacing with other #includes
          as needed. If OS.h is included, some other OS_*.h files can get
          pulled in and sometimes ends up tentatively defining structs in
          ACE_OS's namespace. This can end up tripping HP-UX aCC. Not sure
          why it's only aCC and not other compilers as well, but there it is.
          Finally resolves some nagging compile errors on HP-UX.

        * apps/JAWS3/jaws3/Concurrency.cpp:
        * apps/JAWS3/jaws3/IO.cpp: Add missing OS_NS_* defines
          necessitated by no longer including OS.h.

Mon Feb 14 17:36:43 2005  Steve Huston  <shuston@riverace.com>

        * ace/ace.mwc: Removed RMCast and TMCast, since they're now under
          protocols/ace.

        * ace/Makefile.am:
        * protocols/ace/Makefile.am: Moved RMCast and TMCast entries from
          the former to the latter.

Mon Feb 14 17:03:11 2005  Steve Huston  <shuston@riverace.com>

        * ace/RMCast/Acknowledge.cpp:
        * ace/RMCast/Acknowledge.h:
        * ace/RMCast/Agent.tar.bz2:
        * ace/RMCast/Bits.h:
        * ace/RMCast/Link.cpp:
        * ace/RMCast/Link.h:
        * ace/RMCast/Protocol.cpp:
        * ace/RMCast/Protocol.h:
        * ace/RMCast/RMCast.mpc:
        * ace/RMCast/Retransmit.cpp:
        * ace/RMCast/Retransmit.h:
        * ace/RMCast/Simulator.cpp:
        * ace/RMCast/Simulator.h:
        * ace/RMCast/Socket.cpp:
        * ace/RMCast/Socket.h:
        * ace/RMCast/Stack.cpp:
        * ace/RMCast/Stack.h:
          Moved from ace/RMCast to protocols/ace/RMCast.

        * ace/TMCast/ACE_TMCast.pc.in:
        * ace/TMCast/Export.hpp:
        * ace/TMCast/FaultDetector.hpp:
        * ace/TMCast/Group.cpp:
        * ace/TMCast/Group.hpp:
        * ace/TMCast/GroupFwd.hpp:
        * ace/TMCast/LinkListener.hpp:
        * ace/TMCast/MTQueue.cpp:
        * ace/TMCast/MTQueue.hpp:
        * ace/TMCast/Makefile.am:
        * ace/TMCast/Messaging.hpp:
        * ace/TMCast/Protocol.cpp:
        * ace/TMCast/Protocol.hpp:
        * ace/TMCast/README:
        * ace/TMCast/TMCast.mpc:
        * ace/TMCast/TransactionController.hpp:
          Moved from ace/TMCast to protocols/ace/TMCast.

Mon Feb 14 21:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Global_Macros.h:
          Added !ACE_LACKS_DEPRECATED_MACROS around ACE_CLASS_IS_NAMESPACE,
          ACE_CORBA_1, ACE_CORBA_2, and ACE_CORBA_3. We have a build where
          ACE_LACKS_DEPRECATED_MACROS is defined and we can so easily make
          sure these deprecated macros are not used anymore in the ACE/TAO
          code, our users can just use these macros until x.5.1 has been
          released, then these macros are on the list to be removed.

Mon Feb 14 23:08:52 2005  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:
          Added missing Id tag that somehow disappeared in
          previous checkin.

Mon Feb 14 12:17:06 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Link.cpp:

          Include "ace/OS_NS_sys_socket.h" to pull in ACE_OS::connect()
          prototype.

        * ace/RMCast/Protocol.h:

          Include "ace/OS_NS_string.h" to pull in ACE_OS::memcpy()
          prototype.

Mon Feb 14 11:59:27 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Protocol.h (id):
        * ace/RMCast/Protocol.cpp (id):

          Moved static constant initialization out of class declaration.
          MSVC++ 6 cannot handle in-class static constant initialization.
          Thanks to Chad Elliot for pointing the problem.

        * ace/RMCast/Link.cpp (recv):

          Changed the "switch" expression to an "if/else" expression since
          the actual values of the cases are no longer available to the
          compiler when compiling this file.

Mon Feb 14 20:37:56 2005  Olli Savia  <ops@iki.fi>

        * include/makeinclude/platform_lynxos.GNU:

          Removed LynxOS 2.5 leftovers.
          Added definition of two new preprocessor macros
          ACE_LYNXOS_MAJOR and ACE_LYNXOS_MINOR. These macros make
          easier to maintain code that depend on LynxOS version.

Mon Feb 14 10:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * Kokyu/DSRT_Dispatch_Item_T.h:
        * ACEXML/common/InputSource.h:
          Replaced ACE_EXPLICIT with explicit

Mon Feb 14 01:22:19 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/RMCast/Send_Msg/Receiver.cpp:

          Use "ACE_OS::memcmp()" instead of "std::memcmp()".  MSVC++ 6
          doesn't place memcmp() in the "std" C++ namespace.

Mon Feb 14 00:56:18 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Acknowledge.cpp:

          No need to include "ace/OS.h".  Include "ace/OS_NS_unistd.h"
          instead.

        * ace/RMCast/Protocol.h:

          Corrected friend declaration to use "struct" instead of "class"
          since the friend type in question is actually struct.

Mon Feb 14 00:41:11 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Bits.h:

          Added support for single-threaded configurations.

        * ace/RMCast/Link.cpp:

          Explicitly cast INADDR_ANY argument in ACE_INET_Addr constructor
          call to ACE_UINT32.  Addresses constructor ambiguity issues
          exhibited by some compilers.

        * ace/RMCast/Protocol.h:
        * ace/RMCast/Simulator.h:
        * ace/RMCast/Socket.h:

          Added missing #include directives now made necessary by header
          reductions in "Bits.h".

Sun Feb 13 13:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Timer_Queue_Adapters.h:
          Doxygen improvements

Sun Feb 13 13:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-lite.h:
          When the new define ACE_LACKS_DEPRECATED_MACROS is set, the
          deprecated macros ACE_MUTABLE, ACE_EXPLICIT and
          ACE_CONST_WHEN_MUTABLE are not defined making it easy to see
          if we use these deprecated macros anywhere. These macros are
          defined normally so for our users nothing changes

        * ace/README:
          Documented ACE_LACKS_DEPRECATED_MACROS

Sun Feb 13 07:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Disabled the notify filter performance test under Irix, it hangs
          forever

        * ace/Asynch_IO.h:
          Updated some method signatures so that they are exactly the same
          as used in the implementation to resolve Doxygen warnings

        * ace/config-doxygen.h:
          Added define of ACE_HAS_ICMP_SUPPORT to 1 so that icmp classes are
          also parsed by doxygen

Sat Feb 12 09:00:51 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Rename ACE_WITH_{GL,FL,QT,TK} autoconf macros to ACE_PATH_{GL,
          FL,QT,TK} to be consistant with standard naming conventions.

Sat Feb 12 01:00:25 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Protocol.h (Header):

          Fixed "value computed is not used" warning exhibited by g++ 4.0
          CVS snapshot.

        * ace/RMCast/RMCast.mpc:
        * bin/MakeProjectCreator/config/rmcast.mpb:

          Require native C++ exception support.  The new reliable
          multicast implementation currently requires it.

Sat Feb 12 00:09:18 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Protocol.h:

          Work around Borland C++ Builder 6 (or earlier) inability to deal
          with default template parameters.  Thanks to Johnny for
          suggesting a work-around.

Fri Feb 11 21:39:04 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Updated for new RMCast implementation.

        * tests/Makefile.am:

          Removed RMCast from SUBDIRS.

        * ace/RMCast/Makefile.am:
        * examples/RMCast/Makefile.am:
        * examples/RMCast/Send_Msg/Makefile.am:

          New files.

Fri Feb 11 17:59:50 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Fix typo in pkgconfigdatadir definition.

Fri Feb 11 18:11:29 2005  Steve Huston  <shuston@riverace.com>

        * ace/Dev_Poll_Reactor.{h inl cpp}:
          Comment out the check for epoll's proper Linux kernel version
          based on linux/version.h. It's not always accurate. For example,
          on Fedora Core 2 it says 2.4.20, yet the actual kernel is 2.6.5
          and epoll_ctl works fine (apparantly).

          Removed the original reference counting scheme based on the
          handler repository and implemented the ACE_Event_Handler-based
          scheme used by the other reactors. Kept the
          ACE_Dev_Poll_Handler_Guard class, though, as it is very nice.
          Just changed some contents and added a release() method to make it
          easier to work with the notify case since the refcount is incremented
          when the handler is queued for notify and decremented after the
          later upcall is done.

          (wakeup_all_threads): Removed the #if 0 block around the notify()
          call. This works fine (and is necessary) for epoll-capable systems.

          (handle_events_i, dispatch): Moved the signal-dispatched detection
          to handle_events_i() from dispatch() and allowed a dispatched signal
          to count as a dispatched event instead of always causing a
          -1/EINTR return.

          (dispatch_io_events): Increment io_handlers_dispatched before
          doing the upcall. Previously, it wouldn't get incremented if the
          handler returned -1.

        * ace/Reactor.cpp: Added the ability to specify ACE_Dev_Poll_Reactor
          as the default reactor implementation by specifying
          ACE_USE_DEV_POLL_REACTOR_FOR_REACTOR_IMPL in the config file.

        * tests/Dev_Poll_Reactor_Test.cpp: Ignore SIGPIPE, else if the
          receiving side closes its handle first, the sending side will crash
          on SIGPIPE. Make the Client shut down its reactor if handle_output()
          fails. Else, the timer will never fire again and the test will hang.

        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/MT_Reference_Counted_Event_Handler_Test.cpp:
        * tests/MT_Reference_Counted_Notify_Test.cpp: Added test for
          ACE_Dev_Poll_Reactor using -d (defaults to 1) but only runs it
          if ACE_HAS_EVENT_POLL is set.
          For MT_Reference_Counted_Notify_Test, added checks to see that
          the reference count actually gets incremented for the upcall.

Fri Feb 11 13:55:47 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:
        * m4/config_h.m4:

          Define ACE_HAS_ICMP_SUPPORT if host supports raw sockets.
          This fixes bugzilla id [2039].

Fri Feb 11 21:33:37 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Don't perform crlf conversions on a .bz2 file during the release

Fri Feb 11 08:43:04 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/RMCast/Makefile.am:
        * ace/RMCast/RMCast.cpp:
        * ace/RMCast/RMCast.h:
        * ace/RMCast/RMCast.rc:
        * ace/RMCast/RMCast_Ack_Worker.cpp:
        * ace/RMCast/RMCast_Ack_Worker.h:
        * ace/RMCast/RMCast_Ack_Worker.i:
        * ace/RMCast/RMCast_Copy_On_Write.cpp:
        * ace/RMCast/RMCast_Copy_On_Write.h:
        * ace/RMCast/RMCast_Copy_On_Write.i:
        * ace/RMCast/RMCast_Export.h:
        * ace/RMCast/RMCast_Fork.cpp:
        * ace/RMCast/RMCast_Fork.h:
        * ace/RMCast/RMCast_Fork.i:
        * ace/RMCast/RMCast_Fragment.cpp:
        * ace/RMCast/RMCast_Fragment.h:
        * ace/RMCast/RMCast_Fragment.i:
        * ace/RMCast/RMCast_IO_UDP.cpp:
        * ace/RMCast/RMCast_IO_UDP.h:
        * ace/RMCast/RMCast_IO_UDP.i:
        * ace/RMCast/RMCast_Membership.cpp:
        * ace/RMCast/RMCast_Membership.h:
        * ace/RMCast/RMCast_Membership.i:
        * ace/RMCast/RMCast_Module.cpp:
        * ace/RMCast/RMCast_Module.h:
        * ace/RMCast/RMCast_Module.i:
        * ace/RMCast/RMCast_Module_Factory.cpp:
        * ace/RMCast/RMCast_Module_Factory.h:
        * ace/RMCast/RMCast_Partial_Message.cpp:
        * ace/RMCast/RMCast_Partial_Message.h:
        * ace/RMCast/RMCast_Partial_Message.i:
        * ace/RMCast/RMCast_Proxy.cpp:
        * ace/RMCast/RMCast_Proxy.h:
        * ace/RMCast/RMCast_Proxy.i:
        * ace/RMCast/RMCast_Reassembly.cpp:
        * ace/RMCast/RMCast_Reassembly.h:
        * ace/RMCast/RMCast_Receiver_Module.cpp:
        * ace/RMCast/RMCast_Receiver_Module.h:
        * ace/RMCast/RMCast_Receiver_Module.i:
        * ace/RMCast/RMCast_Reliable_Factory.cpp:
        * ace/RMCast/RMCast_Reliable_Factory.h:
        * ace/RMCast/RMCast_Reliable_Factory.i:
        * ace/RMCast/RMCast_Reordering.cpp:
        * ace/RMCast/RMCast_Reordering.h:
        * ace/RMCast/RMCast_Reordering.i:
        * ace/RMCast/RMCast_Resend_Handler.cpp:
        * ace/RMCast/RMCast_Resend_Handler.h:
        * ace/RMCast/RMCast_Resend_Handler.i:
        * ace/RMCast/RMCast_Resend_Worker.cpp:
        * ace/RMCast/RMCast_Resend_Worker.h:
        * ace/RMCast/RMCast_Resend_Worker.i:
        * ace/RMCast/RMCast_Retransmission.cpp:
        * ace/RMCast/RMCast_Retransmission.h:
        * ace/RMCast/RMCast_Retransmission.i:
        * ace/RMCast/RMCast_Sequencer.cpp:
        * ace/RMCast/RMCast_Sequencer.h:
        * ace/RMCast/RMCast_Sequencer.i:
        * ace/RMCast/RMCast_Singleton_Factory.cpp:
        * ace/RMCast/RMCast_Singleton_Factory.h:
        * ace/RMCast/RMCast_Singleton_Factory.i:
        * ace/RMCast/RMCast_UDP_Event_Handler.cpp:
        * ace/RMCast/RMCast_UDP_Event_Handler.h:
        * ace/RMCast/RMCast_UDP_Event_Handler.i:
        * ace/RMCast/RMCast_UDP_Proxy.cpp:
        * ace/RMCast/RMCast_UDP_Proxy.h:
        * ace/RMCast/RMCast_UDP_Proxy.i:
        * ace/RMCast/RMCast_UDP_Reliable_Receiver.cpp:
        * ace/RMCast/RMCast_UDP_Reliable_Receiver.h:
        * ace/RMCast/RMCast_UDP_Reliable_Receiver.i:
        * ace/RMCast/RMCast_UDP_Reliable_Sender.cpp:
        * ace/RMCast/RMCast_UDP_Reliable_Sender.h:
        * ace/RMCast/RMCast_UDP_Reliable_Sender.i:
        * ace/RMCast/RMCast_Worker.cpp:
        * ace/RMCast/RMCast_Worker.h:
        * examples/RMCast/Makefile.am:
        * examples/RMCast/Send_File/Makefile.am:
        * examples/RMCast/Send_File/RMCast_Send_File.mpc:
        * examples/RMCast/Send_File/Receiver.cpp:
        * examples/RMCast/Send_File/Sender.cpp:
        * tests/RMCast/Main.cpp:
        * tests/RMCast/Makefile.am:
        * tests/RMCast/RMCast_Fragment_Test.cpp:
        * tests/RMCast/RMCast_Membership_Test.cpp:
        * tests/RMCast/RMCast_Reassembly_Test.cpp:
        * tests/RMCast/RMCast_Reordering_Test.cpp:
        * tests/RMCast/RMCast_Retransmission_Test.cpp:
        * tests/RMCast/RMCast_UDP_Best_Effort_Test.cpp:
        * tests/RMCast/acetest.mpb:
        * tests/RMCast/tests.mpc:

          Removed old ACE reliable multicast implementation.  It is not
          maintained, and is now superseded by Boris's implementation
          described below.

        From Boris Kolpkacov <boris at kolpackov dot net>
        * ace/RMCast/Acknowledge.cpp:
        * ace/RMCast/Acknowledge.h:
        * ace/RMCast/Agent.tar.bz2:
        * ace/RMCast/Bits.h:
        * ace/RMCast/Link.cpp:
        * ace/RMCast/Link.h:
        * ace/RMCast/Protocol.cpp:
        * ace/RMCast/Protocol.h:
        * ace/RMCast/RMCast.mpc:
        * ace/RMCast/Retransmit.cpp:
        * ace/RMCast/Retransmit.h:
        * ace/RMCast/Simulator.cpp:
        * ace/RMCast/Simulator.h:
        * ace/RMCast/Socket.cpp:
        * ace/RMCast/Socket.h:
        * ace/RMCast/Stack.cpp:
        * ace/RMCast/Stack.h:
        * examples/RMCast/Send_Msg/Protocol.h:
        * examples/RMCast/Send_Msg/README:
        * examples/RMCast/Send_Msg/Receiver.cpp:
        * examples/RMCast/Send_Msg/Send_Msg.mpc:
        * examples/RMCast/Send_Msg/Sender.cpp:

          New reliable source-ordered multicast protocol implementation
          for message-oriented multi-sender group communication built on
          top of IPv4 multicast.

Fri Feb 11 16:01:37 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/Thread_Pool_Reactor_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:

          Scaled down the tests on VxWorks as for CHORUS to make them
          runnable with default target kernel network parameters.

Fri Feb 11 07:32:06 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/OS_NS_sys_time.h:
        * ace/OS_NS_sys_time.inl:
        * ace/OS_NS_time.h:
        * ace/Time_Value.h:
        * ace/Time_Value.inl:

          Enhanced support for Release mode builds for EVC 4.

Fri Feb 11 08:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/generate_doxygen.pl:
          Group all ciao projects together and get then the version from
          the version file in the CIAO directory. This way with a release
          the ciao documentation gets the correct version number

Fri Feb 11 08:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/outputdir.bor:
          Don't use separate output directories for the output, this is
          not used anymore after the switch to MPC.

        * bin/MakeProjectCreator/templates/bor.mpd:
          No need to set STATIC_DIR, DEBUG_DIR and UNICODE_DIR anymore

        * include/makeinclude/recurse.bor:
        * bin/MakeProjectCreator/modules/BorlandWorkspaceCreator.pm:
          Removed usage of MAKE_FLAGS, was not set at all

Fri Feb 11 08:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Added !IRIX to the Bug_1361_Regression tests, it hangs forever on
          Irix

Thu Feb 10 07:04:33 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE version 5.4.4 released.

Thu Feb 10 02:51:19 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * Release: Added *.vcw files to the tar distribution.

Thu Feb 10 08:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Don't do crlf conversion on .vsd files, that are Microsoft Visio
          files which must be shipped unmodified

Wed Feb  9 14:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Added the removal of the temporary file we create in the
          old_versions_dir to check if we can write to that directory

Tue Feb  8 20:58:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Improved VxWorks description, committed on behalf of Martin Corino

Tue Feb  8 05:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_orb_tests.lst:
          Disable the CodeSet test in the static builds

Mon Feb  7 21:36:37 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/run_test.pl:

          Some improvements for autobuild testruns on VxWorks.

Mon Feb  7 15:19:40 2005  Phil Mesnier  <mesnier_p@ociweb.com>

        * bin/tao_orb_tests.lst:
          Added CodeSet test to the list. This should run on all platforms
          except those using GIOP 1.0 explicitly.

Mon Feb 7 14:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/make_release:
          Added a test to check if the previous_version directory is
          writeable for the user running this script

Mon Feb  7 05:32:32 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Configure ACEXML makefiles if ACEXML directory exists.

Mon Feb 7 13:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          After disabling a few test according to the logs already simple tests
          do hang our system. This can't be true, so for the time being I
          disabled all performance tests under windows and enabled the other
          tests again.

Mon Feb 7 12:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Don't run the pluggable udp tests on win32

Mon Feb 7 11:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Also don't run the AMI Latency test on Win32

Mon Feb 7 11:36:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Also don't run the Quoter example on Win32

Mon Feb 7 11:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Also don't run the Loadbalancing example on Win32

Mon Feb 7 10:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/tao_other_tests.lst:
          Don't run the AMI Sequence_Latency performance-test under Windows,
          it causes the system to crash. We will sort out this problem later but
          we first need to get the other tests running on Windows to keep an
          eye on the test results.

Sun Feb 6 20:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added SuSE Linux to the list of platforms supported by
          Remedy IT

Sun Feb 6 10:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Object.cpp:
        * ace/LSOCK_Stream.cpp:
        * ace/Event_Handler.cpp:
          Replaced c-style casts with C++ casts

Sat Feb 5 20:12:37 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_Thread.cpp:
        * ace/OS_NS_Thread.h:
        * ace/OS_NS_Thread.inl:

          Fixed some flaws in TSS_Emulation tests for TSS key validity introduced
          some 3 years ago when key reuse was enabled for TSS_Emulation.

Sat Feb 5 15:17:37 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/run_test.pl:

          Some improvements for autobuild testing with VxWorks.

        * tests/Reactor_Notify_Test.cpp:
        * tests/Task_Ex_Test.cpp:

          Scaled down testparameters for VxWorks because otherwise the tests take too
          long and are killed before having a chance to finish.

Sat Feb 5 11:38:37 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/run_test.pl:

          Added functionality to run and analyze ACE tests for VxWorks from the
          autobuild process (depending on target features).

        * tests/Multicast_Test.cpp:

          Fixed sloppy resource management (sockets) leading to problems on VxWorks.

        * tests/TP_Reactor_Test.cpp:

          Fixed compiletime test around pthread_sigmask() call so it now compiles
          correctly for (non-WIN32) platforms having threads but no pthread_sigmask()
          (f.i. VxWorks).

Sat Feb 4 11:32:37 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_time.inl:

          Made ACE_OS::gethrtime() for VxWorks always (also on PENTIUM) go through
          clock_gettime() because the RDTSC somehow does not work correctly (all
          HiResTime related tests fail) and clock_gettime() does.

Fri Feb 4 14:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hashable.inl:
          Replaced c-style cast with C++ const_cast

Thu Feb  3 09:25:38 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Ensure that TAO_ROOT is set if it is a tao or a ciao project.

Thu Feb 3 12:43:37 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/rules.local.GNU:
          Added build rule for .rc files in a static build. Thanks to
          Arto Jalkanen <ajalkane at gmail dot com> for reporting this.

Thu Feb 3 10:36:37 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-win32-common.h:
          Added ACE_LACKS_UNIX_SYSLOG

        * ace/Log_Msg_UNIX_Syslog.{h,cpp}:
          Only check for the ACE_LACKS_UNIX_SYSLOG define, not for ACE_WIN32.
          Makes it a little easier to maintain and then this class is also
          added to the doxygen documentation

Thu Feb 3 10:28:37 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Removed some empty lines and use the ?= operator to set TAO_ROOT
          and CIAO_ROOT if they are not set yet, saves us a few lines in each
          generated GNU makefile

Thu Feb 3 08:43:37 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/templates/gnu.mpd:
          Only generate CIAO_ROOT when we are generating a project for CIAO

Thu Feb 3 08:43:37 2005  Martin Corino  <mcorino@remedy.nl>

        * test/Proactor_Test_IPV6.cpp:

          Fixed incorrect logfile name in cases where this test is unsupported
          leading to falsely reported testfailures.

Wed Feb  2 15:25:39 2005  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_stdio.inl (vsprintf): Clarified the reason why ULONG_MAX
          doesn't always work with vswprintf(). glibc (at least newer versions
          such as 2.3) check the bounds of the buffer/size combination before
          attempting the operation.

Wed Feb 02 08:57:23 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          Added some comments and removed some old comments.

Wed Feb  2 08:46:51 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Added an include of $(CIAO_ROOT)/rules.ciao.GNU if 'ciao' is set.

Tue Feb 01 16:12:43 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          A typo that created problems during tar ball creation. Removed
          updates to the *version.mpb's too.

Tue Feb  1 19:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Reverted part of the change Fri Jan 28 20:46:12 UTC 2005.
          Set shared_libs to empty and static_libs to 1, because of the
          change our static builds are broken, we will figure this out
          when we have setup some shared builds.

Tue Feb 1 14:33:37 2005  Martin Corino  <mcorino@remedy.nl>

        * test/OS_Test.cpp:

          Excluded rename test for VxWorks since this is only supported for a restricted
          set of filesystem drivers.

Tue Feb 1 14:30:37 2005  Martin Corino  <mcorino@remedy.nl>

        * ace/OS_NS_time.inl:

          Moved buflen check in ctime_r() to more global scope. This way
          we always get required behaviour even if OS *with* buflen arg
          behaves badly (i.e. VxWorks).

Tue Feb  1 13:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace.mpc:
        * ace/ace_flreactor.mpc:
        * ace/ace_qtreactor.mpc:
        * ace/ace_tkreactor.mpc:
        * ace/ace_xtreactor.mpc:
        * bin/MakeProjectCreator/config/aceexe.mpb:
        * bin/MakeProjectCreator/config/acelib.mpb:
        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
        * bin/MakeProjectCreator/config/taoexe.mpb:
        * bin/MakeProjectCreator/config/taolib.mpb:
          Removed version as base project. This will be removed because it
          results in the fact that each generated GNU makefile will get the
          version number generated. We want that the GNU make rules get the
          version number from Version.h

        * bin/MakeProjectCreator/config/aceversion.mpb:
        * bin/MakeProjectCreator/config/ciaoversion.mpb:
        * bin/MakeProjectCreator/config/taoversion.mpb:
          Removed these files.

Tue Feb 1 12:42:37 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/Dirent_Test.cpp:

          Fixed directory recursion test for VxWorks where chdir() only
          accepts full paths.

Tue Feb  1 11:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/ace_tests.lst:
          Added !VxWorks for the WFMO_Reactor tests. The perl script for those
          tests detects windows or not, but with VxWorks we are using Windows
          as host, but do a cross environment test. This prevents us from
          running these tests on a VxWorks target.

Mon Jan 31 20:48:04 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * tests/Proactor_Test.cpp (TestData):
        * tests/Proactor_Test_IPV6.cpp (TestData):

          Name the nested/local structure declared in this class to
          workaround MSVC++ complaints about required compiler generated
          default constructors for unnamed classes.

Mon Jan 31 13:37:48 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Acceptor.cpp (handle_close): Fixed the code so that it
          closes down properly.  Thanks to Kobi Cohen-Arazi
          <kobi dot cohenarazi at gmail dot com> for this fix.

Mon Jan 31 11:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.h:
          Doxygen improvements

Mon Jan 31 10:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/clients/Naming/Client/Client_Test.cpp:
          Fixed compile warning in wchar build

Mon Jan 31 10:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ASNMP/agent/agent.mpc:
          Added avoids += uses_wchar, the code can't be build with wchar
          enabled

Mon Jan 31 09:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ARGV.h:
        * ace/Configuration.h:
          Doxygen improvements

Mon Jan 31 08:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Logging/Trace_Return.cpp:
        * apps/JAWS/clients/Caching/http_client.cpp:
          Fixed unicode errors

        * apps/mkcsregdb/mkcsregdb.mpc:
        * ASNMP/examples/walk/walk.mpc:
        * ASNMP/examples/trap/trap.mpc:
        * ASNMP/examples/set/set.mpc:
        * ASNMP/examples/next/next.mpc:
        * ASNMP/examples/get/get.mpc:
          Added avoids += uses_wchar, the code can't be build with wchar
          enabled

Mon Jan 31 08:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Reactor/Timers.cpp:
          Fixed unicode link errors

Mon Jan 31 07:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ace_wchar.h:
          Added ACE_TEXT_OutputDebugString

        * examples/Log_Msg/Log_Msg_MFC/MFC_Log.cpp:
          Use ACE_TEXT_OutputDebugString instead of ::OutputDebugString
          to fix compile errors in wchar builds

Sun Jan 30 08:46:56 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Filecache.cpp:

          Added missing "template<>" to explicit class member
          specializations, as required by the C++ standard.

Sun Jan 30 13:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IOStream/client/iostream_client.cpp:
          Fixed unicode compile warning

Sun Jan 30 13:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
          Use ACE_OS::strncpy instead of strncpy directly to fix compile
          error in Cygwin build

Sun Jan 30 13:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/ASX/CCM_App/CCM_App.cpp:
          Fixed warning in unicode build

        * ace/Service_Object.h:
          Doxygen fixes

Sun Jan 30 13:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Logging/Wrap_Macros.cpp:
          Fixed compile problem in unicode build

Sun Jan 30 13:25:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/APG/Reactor/Timers.cpp:
          Fixed compile problem in unicode build

Sun Jan 30 13:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/TMCast/Member/member.cpp:
          Fixed compile problem in unicode build

Sun Jan 30 13:04:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
        * include/makeinclude/*.bor:
        * bin/MakeProjectCreator/templates/bor.mpd:
          Removed support for PASCAL, this was used for BCB4 which is already
          not supported already for a long time

Sat Jan 29 23:55:03 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/Misc/test_read_buffer.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.i:
        * examples/Web_Crawler/URL.h:

          Added missing header include directives that are necessary due
          to inter-header dependency reductions in ACE.

Sat Jan 29 23:44:37 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * examples/ASX/Event_Server/Event_Server/event_server.cpp:
        * examples/ASX/Event_Server/Transceiver/transceiver.cpp:
        * examples/ASX/UPIPE_Event_Server/event_server.cpp:

          Added missing "ace/OS_NS_unistd.h" include directives.  Fixes
          compile-time errors related to missing function prototypes.

Sat Jan 29 11:12:58 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/OS/Process/process.cpp:

        Fixed compile errors due to (now) missing includes because of include
        reductions done to Service_Config.h and Svc_Handler.h.

Sat Jan 29 16:12:37 2005  Martin Corino  <mcorino@remedy.nl>

        * apps/Gateway/Gateway/gatewayd.cpp:
        * examples/APG/Svc_Config/HA_Status_Static.h:
        * examples/ASX/CCM_App/SC_Server.cpp:
        * examples/Connection/blocking/SPIPE-acceptor.h:
        * examples/Connection/blocking/SPIPE-connector.h:
        * examples/Connection/misc/test_upipe.h:
        * examples/Reactor/FIFO/server.cpp:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Reactor/Misc/test_demuxing.cpp:
        * examples/Reactor/Misc/test_signals_1.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_Broadcast.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_CODgram.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Dgram.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_FIFO.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_Stream.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_R_Stream.h:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.h:
        * examples/Service_Configurator/IPC-tests/server/server_test.cpp:
        * examples/Service_Configurator/Misc/Timer_Service.h:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/Service_Config_Test.cpp:

        Fixed compile errors due to (now) missing includes because of include
        reductions done to Service_Config.h and Svc_Handler.h.

Sat Jan 29 00:39:37 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Change --with-{acexml,qos,rmcast,ssl} to --enable-{acexml,qos,
          rmcast,ssl} to be consistant with standard autoconf conventions.
          This also paves the way for a *new* --with-ssl flag to point to
          the openssl install directory.

Fri Jan 28 20:30:02 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Configuration.h:

          Include "ace/SStringfwd.h" instead of "ace/SString.h".  Forward
          declarations of ACE's string types are enough.  Reduces
          interheader dependencies and also reduces ACE's footprint
          slightly.

        * ace/Configuration.cpp:
        * ace/Local_Name_Space.cpp
        * ace/Remote_Name_Space.cpp:
        * ace/Service_Config.cpp:

          Include "ace/SString.h" since to pull in complete ACE string
          class declarations, since the corresponding header only has
          forward declarations of those string classes.

        * ace/Filecache.cpp:
        * ace/Filecache.h:

          Removed alternatives to C++ template specializations in these
          files.  All platforms supported by ACE support standard C++
          explicit/full specialization of classes and their members.

        * ace/Local_Name_Space.h:
        * ace/Remote_Name_Space.h:

          Forward declare ACE_NS_WString instead of including
          "ace/SString.h".  The former is all that is needed.

        * ace/Name_Proxy.h:

          Include "ace/Event_Handler.h" to pull in complete
          ACE_Event_Handler class declaration.  Necessitated by include
          directive reductions in ace/Service_Config.h.

        * ace/Process.h:
        * ace/Time_Request_Reply.h:
        * ace/Token_Collection.h:

          Removed "ace/SString.h" include directive.  It isn't needed.

        * ace/Service_Config.h:

          Include "ace/SStringfwd.h" instead of "ace/SString.h".  Forward
          declarations of ACE's string types are enough.  Reduces
          interheader dependencies and also reduces ACE's footprint
          slightly.

          Forward declare ACE_XML_Svc_Conf class instead of include
          "ace/XML_Svc_Conf.h".  The former is all that is needed.

          Removed "ace/Reactor.h" and "ace/Svc_Conf_Tokens.h" include
          directives.  They haven't been needed for quite some time.

        * ace/Svc_Handler.h:

          No need to include "ace/Service_Config.h".  "ace/Reactor.h" is
          enough.

        * netsvcs/clients/Naming/Client/Client_Test.cpp:
        * netsvcs/clients/Naming/Client/main.cpp:
        * protocols/ace/HTBP/HTBP_Channel.cpp:

          Include "ace/Reactor.h" to pull in complete ACE_Reactor class
          declaration.

Fri Jan 28 16:02:28 2005  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp: Fixed compile diagnostics.

Fri Jan 28 20:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_vxworks5.5.x.GNU:
          Applied some changes from  Thomas Lockhart
          <Thomas dot Lockhart at jpl dot nasa dot gov>:
          - set versioned_so to 0, VxWorks doesn't support this
          - set shared_libs to 0, by default we build staticly, but this
            can be overridden by our users. For dynamic builds Thomas
            supplied more fixes but we have to test some more before adding
            those.
          - added some more notes
          - removed remark of Tornado 1.0, it is not usable anymore

Fri Jan 28 14:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * html/README:
          Corrected download link doxygen documentation

Fri Jan 28 13:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/README:
          Removed description of CORBA directory, it doesn't exists anymore

Fri Jan 28 13:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Multicast_Test_IPV6.cpp:
          Updated debug message that this test needs multicast and thread
          support. When this is not available return 0 not 1 just as the
          other tests do. This way single threaded builds don't flag this
          test as failed.

Fri Jan 28 09:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Network_Adapters_Test.{h,cpp}:
          Fixed compile warnings when building this test with the Borland
          compiler. Thanks to Robert Iakobashvili
          <roberti at GoNetworks dot com> for supplying the patches

Fri Jan 28 08:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Global_Macros.h
          Changed ACE_SERVER_ADDRESS to don't cause problems in unicode
          builds

Fri Jan 28 08:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/C++NPv2/C++NPv2.mpc:
          Don't build the configurable_logging_server when uses_wchar is defined.
          This example just can't build with wchar

Fri Jan 28 07:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/ASX/Event_Server/Event_Server/Event.mpc:
        * examples/ASX/Event_Server/Transceiver/Transceiver.mpc:
        * examples/ASX/UPIPE_Event_Server/UPIPE_Event.mpc:
          New MPC files. Thanks to Thomas Lockhart
          <Thomas dot Lockhart at jpl dot nasa dot gov> for contributing
          these.

Fri Jan 28 05:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Name_Request_Reply.h:
          Removed private copy constructor and assignment operator, in the
          netsvcs library this gave problems.

Thu Jan 27 18:28:19 2005  Steve Huston  <shuston@riverace.com>

        * tests/Proactor_Test.{h cpp}:
        * tests/Proactor_Test_IPV6.cpp: Rearranged the pieces of this test to
          allow the Acceptor and Connector objects to be destroyed during the
          test and still have all the stats kept accurately. This is to enable
          testing of some Proactor improvements that are coming.

        * tests/Proactor_Scatter_Gather_Test.cpp:
        * tests/TP_Reactor_Test.cpp: Be careful to use the same address family
          when forming the listen and connect addresses. This allows things to
          work regardless of IPv4/IPv6 use.

Thu Jan 27 18:59:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Hash_Map_Manager_T.inl:
          Replaced c-style cast with C++ casts

Thu Jan 27 18:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ARGV.cpp:
        * ace/Condition_Recursive_Thread_Mutex.cpp:
        * ace/Condition_Thread_Mutex.cpp:
        * ace/Dump.cpp:
        * ace/Event.cpp:
        * ace/Filecache.cpp:
        * ace/Message_Block.cpp:
        * ace/OS_NS_sys_socket.cpp:
        * ace/Service_Object.cpp:
        * ace/Service_Types.cpp:
          Replaced c-style cast with C++ casts

        * ace/Name_Proxy.cpp:
        * ace/Naming_Context.cpp:
          Added missing members to initialisation list

        * ace/Name_Proxy.h:
        * ace/Name_Request_Reply.h:
          Added private assignment operator and copy constructor
          to prevent copying.

Wed Jan 26 12:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/ICMP_Socket.{h,cpp}:
        * ace/Ping_Socket.{h,cpp}:
        * tests/Network_Adapters_Test.cpp:
          Added missing includes. Thanks to Peter Falsh
          <webangel at list dot ru> for reporting this.

        * tests/run_test.lst:
          Added Network_Adapters_Test

Tue Jan 25 21:05:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/Reactor_Registration_Test.cpp:

        Revoked earlier change because it's erroneous:-(

Tue Jan 25 19:41:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * examples/IPC_SAP/SPIPE_SAP/producer_msg.cpp:

        Fixed typo in include statement. Thanks to JT Conklin.

Tue Jan 25 15:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-bug-process.html:
          Fixed links

Tue Jan 25 15:24:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-categories.html:
          Updated this document

Tue Jan 25 15:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS.h:
          Removed include of os_include/sys/os_fcntl.h, this file doesn't
          exists

Tue Jan 25 14:41:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * examples/IPC_SAP/SPIPE_SAP/producer_msg.cpp:

        Added a necessary includefile which make things compile better
        when ACE_HAS_STREAM_PIPES is defined.

Tue Jan 25 14:15:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/Reference_Counted_Event_Handler_Test.cpp:
        * tests/Reactor_Registration_Test.cpp:

        Tidied up resource management (i.e. close pipes in eventhandler
        destructors) since VxWorks does not automatically release those
        when a dynamically loaded app module is finished.

        * tests/Reactor_Dispatch_Order_Test.cpp:

        Tidied up resource management and fixed handling superfluous output
        event (like OpenBSD and Lynx).

Mon Jan 24 23:10:33 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Process_Manager.cpp (terminate):
        * ace/Signal.cpp (remove_handler, register_handler):
        * ace/Thread_Manager.cpp (spawn_i):

          Fixed "control reaches end of non-void function" warnings
          exhibited by the latest GNU G++ 4.0 CVS snapshot.

Mon Jan 24 17:00:39 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:

          Fix thinko in pkgsrc *.pc file generation.

Mon Jan 24 18:24:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * examples/IPC_SAP/SPIPE_SAP/consumer_msg.cpp:
        * examples/IPC_SAP/SPIPE_SAP/producer_msg.cpp:
        * examples/IPC_SAP/SPIPE_SAP/producer_read.cpp:
        * examples/IPC_SAP/SPIPE_SAP/server.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_L_SPIPE.i:

        Added a number necessary includefiles which make things compile better
        when ACE_HAS_STREAM_PIPES is defined.

Mon Jan 24 07:49:21 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/OS_NS_sys_socket.inl (setsockopt): Fixed a mistake in the
          comment, where it should say "Windows always set
          SO_REUSEADDR=1."  Thanks to  YiQing Xiong
          <xjaguar at 126 dot com> for reporting this.

Mon Jan 24 11:23:12 UTC 2005  Martin Corino  <mcorino@remedy.nl>

        * tests/CDR_Test.cpp:

        Fixed incorrect initializer for char array.

Sun Jan 23 21:34:00 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * examples/Misc/Makefile.am:
        * tests/Makefile.am:

          Regenerate.

        * m4/ace.m4:

          Added extra quoting to AC_REQUIRE arguments.
          Set BUILD_ACE_{FL,TK,QT,XT}REACTOR automake conditionals.

Sun Jan 23 19:17:25 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Create new ACE_WITH_{GL,FL,QT,TK} autoconf macros which will be
          used for finding OpenGL, FL/TK, Qt and Tk libraries and setting
          compiler and linker flags.

Sun Jan 23 15:45:46 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Split --enable-{fl,qt,tk,xt}-reactor processing into separate
          autoconf macros.

Sun Jan 23 15:07:08 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/make_release:

          Omit .cvsignore files.

Sun Jan 23 18:14:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Reactor/Proactor/test_multiple_loops.cpp:
        * examples/Shared_Memory/test_SV.cpp:
        * examples/Smart_Pointers/gadget_test.cpp:
        * examples/Smart_Pointers/widget_test.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Server.cpp:

Sun Jan 23 15:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/OS/Process/process.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-client.cpp:
          Fixed unicode build error

Sun Jan 23 13:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/wrapper_macros.GNU:

          Default rtti to 1 instead of 0, we now use dynamic_cast in the
          ACE library itself, TAO requires RTTI, so changed the default

        * include/makeinclude/platform_vxworks5.5.x.GNU:

          Simplified this file by using ?=

Sun Jan 23 13:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Capabilities.cpp:
          Removed instantiations of ACE_Hash and ACE_Equal_To of
          ACE_TString. These where already giving problems on VxWorks,
          now also on Irix, so removed them. Thanks to Doug McCorkle
          <mccdo at iastate dot edu> for reporting this

Sun Jan 23 12:39:20 2005  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/tao_xtresource.mpb:
        * bin/MakeProjectCreator/config/tao_tkresource.mpb:
        * bin/MakeProjectCreator/config/tao_qtresource.mpb:
        * bin/MakeProjectCreator/config/tao_flresource.mpb:
        * bin/MakeProjectCreator/config/ace_xtreactor.mpb:
        * bin/MakeProjectCreator/config/ace_xt.mpb:
        * bin/MakeProjectCreator/config/ace_x11.mpb:
        * bin/MakeProjectCreator/config/ace_tkreactor.mpb:
        * bin/MakeProjectCreator/config/ace_tk.mpb:
        * bin/MakeProjectCreator/config/ace_motif.mpb:
        * bin/MakeProjectCreator/config/ace_gl.mpb:
        * bin/MakeProjectCreator/config/ace_flreactor.mpb:
        * bin/MakeProjectCreator/config/ace_fl.mpb:
        * bin/MakeProjectCreator/config/ace_athena.mpb:
        * ace/ace_xtreactor.mpc:
        * ace/ace_tkreactor.mpc:
        * ace/ace_qtreactor.mpc:
        * ace/ace_flreactor.mpc:
        * ace/ace.mpc:

          Added missing Id strings.

Sun Jan 23 02:22:13 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/ACE_FlReactor.pc.in:
        * ace/ACE_QtReactor.pc.in:
        * ace/ACE_TkReactor.pc.in:
        * ace/ACE_XtReactor.pc.in:

          New files, pkg-config *.pc templates.

        * ace/ace_flreactor.mpc:
        * ace/ace_qtreactor.mpc:
        * ace/ace_tkreactor.mpc:
        * ace/ace_xtreactor.mpc:

          Removed Demux subsection from Source_Files.

          Added empty Inline_Files, Template_Files, and Resource_Files
          sections.

          Added Pkgconfig_Files sections.

Sun Jan 23 00:25:48 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/ace.m4:

          Initial --enable-tk-reactor and --enable-qt-reactor support.
          Set BUILD_{FL,TK,QT,XT} automake conditionals.

Sun Jan 23 01:54:59 2005  Marek Brudka  <mbrudka@aster.pl>

        * */.cvsignore:
          To make cvs silent.

        * tests/tests.mpc:
        * tests/XtReactor_Test.cpp:
        * tests/XtMotifReactor_Test.cpp:
        * tests/XtAthenaReactor_Test.cpp:
        * tests/TkReactor_Test.cpp:
        * tests/QtReactor_Test.h:
        * tests/QtReactor_Test.cpp:
        * tests/FlReactor_Test.cpp:
        * include/makeinclude/wrapper_macros.GNU:
        * include/makeinclude/platform_sunos5_g++.GNU:
        * include/makeinclude/platform_lynxos.GNU:
        * include/makeinclude/platform_linux_pgi.GNU:
        * include/makeinclude/platform_linux_icc.GNU:
        * include/makeinclude/platform_linux_borland.GNU:
        * include/makeinclude/platform_linux.GNU:
        * examples/Misc/test_XtReactor2.cpp:
        * examples/Misc/test_XtReactor1.cpp:
        * examples/Misc/Misc.mpc:
        * bin/MakeProjectCreator/config/tao_xtresource.mpb:
        * bin/MakeProjectCreator/config/tao_tkresource.mpb:
        * bin/MakeProjectCreator/config/tao_qtresource.mpb:
        * bin/MakeProjectCreator/config/tao_flresource.mpb:
        * bin/MakeProjectCreator/config/strategies.mpb:
        * bin/MakeProjectCreator/config/global.features:
        * bin/MakeProjectCreator/config/acedefaults.mpb:
        * bin/MakeProjectCreator/config/ace_xtreactor.mpb:
        * bin/MakeProjectCreator/config/ace_xt.mpb:
        * bin/MakeProjectCreator/config/ace_x11.mpb:
        * bin/MakeProjectCreator/config/ace_tkreactor.mpb:
        * bin/MakeProjectCreator/config/ace_tk.mpb:
        * bin/MakeProjectCreator/config/ace_qtreactor.mpb:
        * bin/MakeProjectCreator/config/ace_qt.mpb:
        * bin/MakeProjectCreator/config/ace_motif.mpb:
        * bin/MakeProjectCreator/config/ace_gtk.mpb:
        * bin/MakeProjectCreator/config/ace_gl.mpb:
        * bin/MakeProjectCreator/config/ace_flreactor.mpb:
        * bin/MakeProjectCreator/config/ace_fl.mpb:
        * bin/MakeProjectCreator/config/ace_athena.mpb:
        * ace/config-win32-msvc.h:
        * ace/config-doxygen.h:
        * ace/ace_xtreactor.mpc:
        * ace/ace_tkreactor.mpc:
        * ace/ace_qtreactor.mpc:
        * ace/ace_flreactor.mpc:
        * ace/ace.mwc:
        * ace/ace.mpc:
        * ace/XtReactor.h:
        * ace/XtReactor.cpp:
        * ace/TkReactor.h:
        * ace/TkReactor.cpp:
        * ace/README:
        * ace/QtReactor.h:
        * ace/QtReactor.cpp:
        * ace/FlReactor.h:
        * ace/FlReactor.cpp:
        * ace/ACE_XtReactor_export.h:
        * ace/ACE_TkReactor_export.h:
        * ace/ACE_QtReactor_export.h:
        * ace/ACE_FlReactor_export.h:
        * ACE-INSTALL.html:
          Changes related with separation of GUI reactors.
          The additional information is avalaible below.

        Wed Jan 19 22:55:50 2005  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/tao_xtresource.mpb:
        * bin/MakeProjectCreator/config/tao_xtreactor.mpb:
        * bin/MakeProjectCreator/config/tao_tkresource.mpb:
        * bin/MakeProjectCreator/config/tao_tkreactor.mpb:
        * bin/MakeProjectCreator/config/tao_qtresource.mpb:
        * bin/MakeProjectCreator/config/tao_qtreactor.mpb:
        * bin/MakeProjectCreator/config/tao_flresource.mpb:
        * bin/MakeProjectCreator/config/tao_flreactor.mpb:

          Adapted to new naming.

        Sun Jan  9 01:13:42 2005  Marek Brudka  <mbrudka@aster.pl>

        * ace/TkReactor.h (Module):
        * ace/TkReactor.cpp (Module):
        * ace/FlReactor.h (Module):
        * ace/FlReactor.cpp (Module):

          Removed factory methods for loading reactor from shared
          library.

        * bin/MakeProjectCreator/config/global.features (Module):

          Disabled by defult tao_flreactor and tao_tkreactor features.

        Mon Jan  3 22:48:32 2005  Marek Brudka  <mbrudka@aster.pl>

        * ace/ace_xtreactor.mpc (Module):
        * ace/ace_tkreactor.mpc (Module):
        * ace/ace_qtreactor.mpc (Module):
        * ace/ace_flreactor.mpc (Module):

          Removed ace_*reactor required features.

        Tue Dec 14 00:09:48 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/ace_x11.mpb (Module):
        * bin/MakeProjectCreator/config/ace_gl.mpb (Module):
        * bin/MakeProjectCreator/config/ace_fl.mpb (Module):
        * ACE-INSTALL.html (Module):

          Modified base projects to enable FlReactor compilation for
          Windows.

        Mon Dec 13 01:39:12 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/ace_xt.mpb (Module):
        * bin/MakeProjectCreator/config/ace_gl.mpb (Module):
        * bin/MakeProjectCreator/config/ace_fl.mpb (Module):

          Removed nice feature inheritance and reentered a workaround
          related with "verbatim" section bug in MPC.

        Mon Dec 13 00:36:44 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/strategies.mpb (Module):

          Removed explicite dependencies of TAO_Strategies on
          TAO_TkReactor.

        * bin/MakeProjectCreator/config/tao_tkreactor.mpb (Module):

          Creating base project for using TAO_TkReactor library.

        * bin/MakeProjectCreator/config/strategies.mpb (Module):

          Removed dependency on tao_tkreactor.

        * tests/TkReactor_Test.cpp (Module):
        * bin/MakeProjectCreator/config/ace_tk.mpb (Module):
        * ace/config-doxygen.h (Module):

          Removed ACE_HAS_TK macros.

        * ace/TkReactor.h (Module):
        * ace/TkReactor.cpp (Module):

          Removed ACE_HAS_TK macros. Created factory method TkReactor in
          dll.

        Sun Dec 12 22:53:48 2004  Marek Brudka  <mbrudka@aster.pl>

        * tests/FlReactor_Test.cpp (Module):

          Removed ACE_HAS_FL macros.

        * bin/MakeProjectCreator/config/strategies.mpb (Module):

          Removed explicite dependence of TAO_Strategies on
          TAO_FlReactor.

        * bin/MakeProjectCreator/config/tao_flreactor.mpb (Module):

          Creating base project for using TAO_FlReactor library.

        * bin/MakeProjectCreator/config/ace_fl.mpb (Module):

          Removed ACE_HAS_FL macros.

        * ace/config-doxygen.h (Module):

          Removed ACE_HAS_FL macros.
        * ace/FlReactor.h (Module):
        * ace/FlReactor.cpp (Module):

          Removed ACE_HAS_FL macros. Created factory method for
          instantinating FlReactor from dll.

        Sun Dec 12 02:14:51 2004  Marek Brudka  <mbrudka@aster.pl>

        * .cvsignore:

          Made cvs more silent on executables.

        * tests/tests.mpc (Module):

          Introduced new dependencies on ace_flreactor and ace_tkreactor
          for specific reactors tests.

        * include/makeinclude/platform_sunos5_sunc++.GNU (Module):

          Replaced ace_with_x11 by x11 feature.

        * include/makeinclude/wrapper_macros.GNU (Module):

          Modified documentation about features. Removed rules for an
          unknown gtk_reactor. Modified statements related with new naming
          schema and feature definitions.

        * bin/MakeProjectCreator/config/global.features (Module):

          Grouped and commented features related with GUI reactors.

        * bin/MakeProjectCreator/config/strategies.mpb (Module):

          Created temporary dependence on tao_tk(fl)reactors. To be
          removed when TAO is separated from Tk and Fl Reactors.

        * bin/MakeProjectCreator/config/tao_flreactor.mpb (Module):
        * bin/MakeProjectCreator/config/tao_tkreactor.mpb (Module):

          Created dummy projects to tao_*reactors. Will be handy when TAO
          is separated from Tk and Fl Reactors.

        * bin/MakeProjectCreator/config/tao_xtreactor.mpb (Module):
        * bin/MakeProjectCreator/config/tao_qtreactor.mpb (Module):
        * bin/MakeProjectCreator/config/ace_xtreactor.mpb (Module):
        * bin/MakeProjectCreator/config/ace_tkreactor.mpb (Module):
        * bin/MakeProjectCreator/config/ace_qtreactor.mpb (Module):
        * bin/MakeProjectCreator/config/ace_flreactor.mpb (Module):

          Unified derivation and naming schema.

        * bin/MakeProjectCreator/config/ace_fltk.mpb (Module):

          Replaced this file by ace_fl.mpb

        * bin/MakeProjectCreator/config/ace_xt.mpb (Module):
        * bin/MakeProjectCreator/config/ace_x11.mpb (Module):
        * bin/MakeProjectCreator/config/ace_tk.mpb (Module):
        * bin/MakeProjectCreator/config/ace_qt.mpb (Module):
        * bin/MakeProjectCreator/config/ace_motif.mpb (Module):
        * bin/MakeProjectCreator/config/ace_fl.mpb (Module):
        * bin/MakeProjectCreator/config/ace_gl.mpb (Module):
        * bin/MakeProjectCreator/config/ace_athena.mpb (Module):

          Replaced ace_with_* features by * features to unify naming
          schema. Removed unnecessary definitions
          (includes,flags,libraries). Introduced unified derivation
          schema.

        * ace/ace_xtreactor.mpc (Module):
        * ace/ace_tkreactor.mpc (Module):
        * ace/ace_qtreactor.mpc (Module):
        * ace/ace_flreactor.mpc (Module):

          Added header files. Created new dependencies.

        * ace/TkReactor.h (Module):
        * ace/FlReactor.h (Module):

          Used new export macros.

        * ace/ACE_TkReactor_export.h (Module):
        * ace/ACE_FlReactor_export.h (Module):

          Created export macros for these GUI reactors. Will be handy in
          future.

        * ACE-INSTALL.html (Module):

          Rewrote documentation related with GUI reactors.

        Fri Dec 10 23:53:41 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/global.features (Module):

          Removed xt_reactor feature.

        * ACE-INSTALL.html (Module):

          Modified documentation related to QtReactor and XtReactor.

        Fri Dec 10 22:57:22 2004  Marek Brudka  <mbrudka@aster.pl>

        * tests/QtReactor_Test.cpp (Message):

          Removed unnecesary log about lack of Qt support.

        Fri Dec 10 22:39:12 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/global.features (Message):

          Disabled by default ace_With_xt and ace_with_x11.

        * include/makeinclude/wrapper_macros.GNU (Module):

          Replace qt_rector variables by qt, as MPC currently uses qt
          feature.

        Fri Dec 10 01:04:52 2004  Marek Brudka  <mbrudka@aster.pl>

        * examples/Misc/.cvsignore (Module):

          Created few ignores to make cvs silent.

        Fri Dec 10 00:45:56 2004  Marek Brudka  <mbrudka@aster.pl>

        * tests/.cvsignore (Module):

          Created few ignores to make cvs silent.

        * ace/ace_xtreactor.mpc (Module):

        * ace/config-tandem.h (Module):
        * ace/config-doxygen.h (Module):
        * ace/XtReactor.cpp (Module):

          Removed ACE_HAS_XT macros.

        * ace/XtReactor.h (Module):

          Removed ACE_HAS_XT macros and applied export macros for
          ACE_XtReactor.

        * ace/README (Module):

          Removed notice on ACE_HAS_XT.

        * ace/ACE_XtReactor_export.h (Module):

          Create export macros for XtReactor. Please, do not ask if anyone
          needs these macros under Windows. Probably no, but they are
          present here to remain consistent with the rest of ACE.

        * tests/tests.mpc (Module):

          Created two project XtReactor_Tests for Athena widgets and
          Motif. Removed XtReactor_Test.

        * tests/XtReactor_Test.cpp (Module):
        * tests/XtMotifReactor_Test.cpp (Module):
        * tests/XtAthenaReactor_Test.cpp (Module):

          XtReactor_Test was splitted into separate test for Athena
          widgets and Motif, hence they depend on distinct
          libraries. Removed ACE_HAS_XT and ACE_LACKS_MOTIF macros, as
          they are not needed now.

        * examples/Misc/test_XtReactor2.cpp (Module):
        * examples/Misc/test_XtReactor1.cpp (Module):

          Removed ACE_HAS_XT macros.

        * examples/Misc/Misc.mpc (Module):

          Added dependencies on ace_xtreactor and ace_motif.

        * bin/MakeProjectCreator/config/tao_xtreactor.mpb (Module):
        * bin/MakeProjectCreator/config/ace_xtreactor.mpb (Module):

          Created base projects for applications using ACE/TAO_XtReactor
          libraries.

        * bin/MakeProjectCreator/config/global.features (Module):

          By default ace_with_x11, ace_withxt, ace_with_motif,
          ace_with_athena features are not avalaible.

        * bin/MakeProjectCreator/config/ace_xt.mpb (Module):
        * bin/MakeProjectCreator/config/ace_x11.mpb (Module):

          Transformed features into projects with explicit requirements.

        * bin/MakeProjectCreator/config/ace_motif.mpb (Module):

          Created base project for motif/lestif  library.

        * bin/MakeProjectCreator/config/ace_athena.mpb (Module):

          Created base project for athena widgets library.

        * ACE-INSTALL.html (Module):

          Modified section on QtReactor and added section on XtReactor.

        Tue Dec  7 20:48:36 2004  Marek Brudka  <mbrudka@aster.pl>

        * ace/ace_qtreactor.mpc (Module):
        * ace/QtReactor_export.h (Module):
        * ace/QtReactor.h (Module):
        * ace/ACE_QtReactor_export.h (Module):

          Change QtReactor_export.h into ACE_QtReactor_export.h to avoid
          possible, though not very probably name conflict and remain
          consistent with TAO_QtReact_export.

        Tue Dec  7 00:23:54 2004  Marek Brudka  <mbrudka@aster.pl>

        * ace/ace_qtreactor.mpc (Module):
        * ace/QtReactor_export.h (Module):
        * ace/QtReactor.h (Module):

          Created and applied export macros for ACE_QtReactor library.

        Sun Dec  5 23:18:29 2004  Marek Brudka  <mbrudka@aster.pl>

        * include/makeinclude/wrapper_macros.GNU (Module):
        * include/makeinclude/platform_linux_pgi.GNU (Module):
        * include/makeinclude/platform_linux_icc.GNU (Module):
        * include/makeinclude/platform_linux.GNU (Module):

          Removed unnecessary ACE_HAS_QT and make options regarding
          qt. All those things are now set up by MPC.

        * tests/tests.mpc (Module):

          Removed explicit dependency on qt. It is ensured now by qt base
          project.

        * tests/QtReactor_Test.h (Module):
        * tests/QtReactor_Test.cpp (Module):

          Removed ACE_HAS_QT section as MPC manages now configuration.

        * bin/MakeProjectCreator/config/tao_qtreactor.mpb (Module):

          Removed tao_qtreactor as it seems to be redundant with qt=1. I'm
          not sure if this.

        * bin/MakeProjectCreator/config/ace_qt.mpb (Module):

          Removed ace_qtreactor as it seems to be redundant with qt=1. I'm
          not sure if this.

        * ace/config-win32-msvc.h (Module):

          Removed sections related with ACE_HAS_QT and QT_DLL
          definition. It is manged now by MPC.

        * ace/config-doxygen.h (Module):

          Removed ACE_HAS_QT as it is ACE_QtReactor compiles now alway if
          qt option is set.

        * ace/README (Module):

          Removed paragraph on ACE_HAS_QT.

        * ace/QtReactor.h (Module):
        * ace/QtReactor.cpp (Module):

          Removed code compiled conditionally on ACE_HAS_QT
          predicate. Compilation is now managed by MPC.

        Sat Dec  4 17:03:38 2004  Marek Brudka  <mbrudka@aster.pl>

        * tests/RMCast/.cvsignore (Module):
        * ace/.cvsignore (Module):
        * tests/.cvsignore (Module):

          Added linux executables to prevent cvs warnings.

        Sat Dec  4 16:02:30 2004  Marek Brudka  <mbrudka@aster.pl>

        * ace/qt_reactor.mpb (Module):

          This base project is no necessary now.

        Sat Dec  4 15:51:01 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/ace_qtreactor.mpb (Module):
        * ace/ace_qtreactor.mpc (Module):

          Removed depracated qt_moc project.

        Sat Dec  4 15:49:03 2004  Marek Brudka  <mbrudka@aster.pl>

        * ACE-INSTALL.html (Module):

          Added paragraph on building ACE_QtLibrary.

        Sat Dec  4 14:28:54 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/global.features (Module):

          Added comment about -features option.

        Fri Dec  3 23:10:39 2004  Marek Brudka  <mbrudka@aster.pl>

        * bin/MakeProjectCreator/config/tao_qtreactor.mpb (Added):
        * bin/MakeProjectCreator/config/ace_xt.mpb (Added):
        * bin/MakeProjectCreator/config/ace_x11.mpb (Added):
        * bin/MakeProjectCreator/config/ace_tk.mpb (Added):
        * bin/MakeProjectCreator/config/ace_qtreactor.mpb (Added):
        * bin/MakeProjectCreator/config/ace_gtk.mpb (Added):
        * bin/MakeProjectCreator/config/ace_gl.mpb (Added):
        * bin/MakeProjectCreator/config/ace_fltk.mpb (Added):
        * ace/ace_xtreactor.mpc (Added):
        * ace/ace_tkreactor.mpc (Added):
        * ace/ace_qtreactor.mpc (Added):
        * ace/ace_flreactor.mpc (Added):

        * tests/tests.mpc (Modified):
        * include/makeinclude/wrapper_macros.GNU (Modified):
        * include/makeinclude/platform_sunos5_sunc++.GNU (Modified):
        * include/makeinclude/platform_sunos5_g++.GNU (Modified):
        * include/makeinclude/platform_lynxos.GNU (Modified):
        * include/makeinclude/platform_linux_pgi.GNU (Modified):
        * include/makeinclude/platform_linux_icc.GNU (Modified):
        * include/makeinclude/platform_linux_borland.GNU (Modified):
        * include/makeinclude/platform_linux.GNU (Modified):
        * bin/MakeProjectCreator/config/acedefaults.mpb (Modified):
        * bin/MakeProjectCreator/config/ace_qt.mpb (Modified):
        * ace/ace.mwc (Modified):
        * ace/ace.mpc (Modified):

         Initial changes related with the separation of reactors into
          distinct libraries.  Many thanks to Raphael Bossek
          <raphael.bossek@gmx.de> for this patch.

Sat Jan 22 21:18:58 2005  Kobi Cohen-Arazi  <kobi.cohenarazi@gmail.com>

        * ace/Logging_Strategy.cpp (handle_timeout): Fixed when defined
          ACE_LACKS_IOSTREAM_TOTALLY. Use ftell instead of fseek in order
          to get the current file length. Thanks to Kim ByeongSu <kcando
          at kcando dot org> for pointing it out.

Sat Jan 22 21:13:11 2005  Kobi Cohen-Arazi  <kobi.cohenarazi@gmail.com>

        * tests/Test_Output.cpp(close): Fixed when
          ACE_LACKS_IOSTREAM_TOTALLY - fflush and fclose should be called
          only when output_file_ is valid, and it points to the same
          current ACE_LOG_MSG->msg_ostream ().

Fri Jan 21 19:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Added Solaris 10

Fri Jan 21 18:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ciao_client.mpb:
          Removed duplicate includes

Fri Jan 21 16:03:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/FIFO_SAP/FIFO-Msg-server.cpp:
          Fixed compile error in Solaris 10 build

Fri Jan 21 11:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/ace.doxygen:
          Also parse config-lite.h and config-all.h to generate the
          ACE documentation

Thu Jan 20 22:48:24 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * docs/ACE-guidelines.html:

          Removed obsolete ACE cast macro usage recommendations.  They are
          deprecated.  Thanks to Olli Savia <ops at iki dot fi> for
          pointing out this document needed updating.

          Updated and removed out-of-date guidelines.

Thu Jan 20 19:07:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/ACE-casts-convert:

          Enhanced to support conversion of ACE_*_cast_[1-5]_{ptr,ref}
          macro calls to their standard C++ counterparts.

        * ace/Map_T.inl:

          Converting remaining deprecated ACE cast macro calls using the
          enhanced ACE-casts-convert script described above.

Thu Jan 20 18:18:00 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ACEXML/apps/svcconf/Svcconf_Handler.cpp:
        * ACEXML/common/AttributesImpl.cpp:
        * ACEXML/common/FileCharStream.cpp:
        * ACEXML/common/HttpCharStream.cpp:
        * ACEXML/common/Mem_Map_Stream.cpp:
        * ACEXML/common/NamespaceSupport.cpp:
        * ACEXML/common/SAXExceptions.cpp:
        * ACEXML/common/StrCharStream.cpp:
        * ACEXML/common/Transcode.cpp:
        * ACEXML/parser/debug_validator/Debug_Attributes_Builder.cpp:
        * ACEXML/parser/parser/Entity_Manager.i:
        * ACEXML/parser/parser/Parser.cpp:
        * ACEXML/tests/ContentHandler_Test.cpp:
        * ACEXML/tests/Transcoder_Test.cpp:
        * Kokyu/Dispatch_Deferrer.cpp:
        * Kokyu/Dispatcher_Task.cpp:
        * ace/QoS/SOCK_Dgram_Mcast_QoS.cpp:
        * ace/RMCast/RMCast_Fragment.cpp:
        * ace/RMCast/RMCast_IO_UDP.cpp:
        * ace/RMCast/RMCast_Partial_Message.cpp:
        * ace/RMCast/RMCast_Reassembly.cpp:
        * apps/JAWS/server/IO.cpp:
        * apps/JAWS/server/JAWS_Pipeline_Handler.cpp:
        * apps/JAWS2/HTTP_10_Parse.cpp:
        * apps/JAWS2/HTTP_10_Write.cpp:
        * apps/JAWS2/JAWS/Assoc_Array.cpp:
        * apps/JAWS2/JAWS/Concurrency.cpp:
        * apps/JAWS2/JAWS/IO.cpp:
        * apps/JAWS2/JAWS/Pipeline_Tasks.cpp:
        * apps/JAWS3/http/HTTP_States.h:
        * apps/JAWS3/jaws3/Asynch_IO.cpp:
        * apps/drwho/CM_Client.cpp:
        * apps/drwho/CM_Server.cpp:
        * apps/drwho/server.cpp:
        * apps/gperf/src/Hash_Table.cpp:
        * apps/gperf/src/Key_List.cpp:
        * apps/gperf/src/List_Node.cpp:
        * apps/mkcsregdb/mkcsregdb.cpp:
        * examples/APG/Config/HA_Status.cpp:
        * examples/APG/Logging/Callback-2.h:
        * examples/APG/Misc_IPC/UDP_Broadcast.cpp:
        * examples/APG/Misc_IPC/UDP_Unicast.cpp:
        * examples/APG/Naming/Name_Binding.h:
        * examples/APG/Proactor/HA_Proactive_Status.cpp:
        * examples/APG/Reactor/Client.cpp:
        * examples/APG/Reactor/HAStatus-AC.cpp:
        * examples/APG/Reactor/HAStatus.cpp:
        * examples/APG/Reactor/Timer_State_Data.cpp:
        * examples/APG/Shared_Memory/Hash_Map.cpp:
        * examples/APG/Shared_Memory/Malloc.cpp:
        * examples/APG/Shared_Memory/PI_Malloc.cpp:
        * examples/APG/Sockets/Iovec.cpp:
        * examples/APG/Svc_Config/HA_Status_Dynamic.cpp:
        * examples/APG/Svc_Config/HA_Status_Static.cpp:
        * examples/APG/ThreadPools/TP_Reactor.cpp:
        * examples/APG/Timers/Alarm.cpp:
        * examples/APG/Timers/CB.cpp:
        * examples/APG/Timers/PCB.cpp:
        * examples/APG/Timers/Task.cpp:
        * examples/Bounded_Packet_Relay/BPR_Drivers.cpp:
        * examples/Bounded_Packet_Relay/Thread_Bounded_Packet_Relay.cpp:
        * examples/C++NPv1/Logging_Client.cpp:
        * examples/C++NPv1/Process_Per_Connection_Logging_Server.cpp:
        * examples/C++NPv1/RT_Thread_Per_Connection_Logging_Server.cpp:
        * examples/C++NPv1/Thread_Per_Connection_Logging_Server.cpp:
        * examples/C++NPv2/AC_Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Client_Logging_Daemon.cpp:
        * examples/C++NPv2/Logging_Event_Handler.h:
        * examples/C++NPv2/Select_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/Server_Shutdown.cpp:
        * examples/C++NPv2/Service_Reporter.cpp:
        * examples/C++NPv2/TPC_Logging_Server.cpp:
        * examples/C++NPv2/TP_Logging_Server.cpp:
        * examples/C++NPv2/TP_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/WFMO_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/display_logfile.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-test.cpp:
        * examples/IPC_SAP/FILE_SAP/client.cpp:
        * examples/IPC_SAP/SOCK_SAP/C-inclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/C-inserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inclient.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-inserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-unserver.cpp:
        * examples/IPC_SAP/SOCK_SAP/FD-unserver.cpp:
        * examples/Reactor/Misc/notification.cpp:
        * examples/Reactor/Multicast/Log_Wrapper.cpp:
        * examples/Reactor/Proactor/test_aiosig_ace.cpp:
        * examples/Reactor/WFMO_Reactor/APC.cpp:
        * examples/Reactor/WFMO_Reactor/Handle_Close.cpp:
        * examples/Reactor/WFMO_Reactor/Multithreading.cpp:
        * examples/Reactor/WFMO_Reactor/Removals.cpp:
        * examples/Service_Configurator/IPC-tests/server/Handle_Timeout.i:
        * examples/Shared_Malloc/test_malloc.cpp:
        * examples/Shared_Malloc/test_persistence.cpp:
        * examples/Shared_Malloc/test_position_independent_malloc.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Client.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Server.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Client.cpp:
        * examples/System_V_IPC/SV_Message_Queues/TMQ_Server.cpp:
        * examples/TMCast/Member/member.cpp:
        * examples/Threads/thread_manager.cpp:
        * examples/Threads/thread_specific.cpp:
        * examples/Timer_Queue/Thread_Timer_Queue_Test.cpp:
        * examples/Web_Crawler/Command_Processor.cpp:
        * examples/Web_Crawler/Iterators.cpp:
        * examples/Web_Crawler/Mem_Map_Stream.cpp:
        * examples/Web_Crawler/URL_Addr.cpp:
        * examples/Web_Crawler/URL_Visitor.cpp:
        * netsvcs/lib/Name_Handler.cpp:
        * protocols/ace/HTBP/HTBP_Channel.cpp:
        * protocols/ace/HTBP/HTBP_Session.cpp:
        * performance-tests/Misc/basic_perf.cpp:
        * performance-tests/Misc/childbirth_time.cpp:
        * performance-tests/Misc/context_switch_time.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_clt.cpp:
        * performance-tests/SCTP/SOCK_SEQPACK_srv.cpp:
        * performance-tests/SCTP/SOCK_STREAM_clt.cpp:
        * performance-tests/SCTP/SOCK_STREAM_srv.cpp:
        * performance-tests/Server_Concurrency/Leader_Follower/RT_CORBA_Leader_Follower.cpp:
        * performance-tests/Server_Concurrency/Leader_Follower/leader_follower.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/RT_CORBA_Workers.cpp:
        * performance-tests/Server_Concurrency/Queue_Based_Workers/workers.cpp:
        * performance-tests/Synch-Benchmarks/Base_Test/Baseline_Test.cpp:
        * performance-tests/Synch-Benchmarks/Perf_Test/Performance_Test_Options.cpp:
        * tests/ACE_Init_Test.cpp:
        * tests/ACE_Test.cpp:
        * tests/CDR_Array_Test.cpp:
        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Cache_Map_Manager_Test.h:
        * tests/Conn_Test.cpp:
        * tests/DLL_Test.cpp:
        * tests/DLList_Test.cpp:
        * tests/Dynamic_Priority_Test.cpp:
        * tests/FlReactor_Test.cpp:
        * tests/Handle_Set_Test.cpp:
        * tests/IOStream_Test.cpp:
        * tests/MT_Reactor_Upcall_Test.cpp:
        * tests/MT_SOCK_Test.cpp:
        * tests/Malloc_Test.cpp:
        * tests/Map_Manager_Test.cpp:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Max_Default_Port_Test_IPV6.cpp:
        * tests/Message_Queue_Test.cpp:
        * tests/Message_Queue_Test_Ex.cpp:
        * tests/Multicast_Test.cpp:
        * tests/Multicast_Test_IPV6.cpp:
        * tests/OS_Test.cpp:
        * tests/Object_Manager_Test.cpp:
        * tests/Priority_Buffer_Test.cpp:
        * tests/Priority_Reactor_Test.cpp:
        * tests/Proactor_Scatter_Gather_Test.cpp:
        * tests/Proactor_Test.cpp:
        * tests/Proactor_Test_IPV6.cpp:
        * tests/Proactor_Timer_Test.cpp:
        * tests/Process_Strategy_Test.cpp:
        * tests/Reactor_Performance_Test.cpp:
        * tests/Reactor_Timer_Test.cpp:
        * tests/Reactors_Test.cpp:
        * tests/Recursive_Condition_Bug_Test.cpp:
        * tests/Recursive_Condition_Test.cpp:
        * tests/Recursive_Mutex_Test.cpp:
        * tests/SOCK_SEQPACK_SCTP_Test.cpp:
        * tests/SOCK_Send_Recv_Test.cpp:
        * tests/SOCK_Send_Recv_Test_IPV6.cpp:
        * tests/SString_Test.cpp:
        * tests/SV_Shared_Memory_Test.cpp:
        * tests/Semaphore_Test.cpp:
        * tests/Service_Config_DLL.cpp:
        * tests/Service_Config_Test.cpp:
        * tests/TSS_Test.cpp:
        * tests/Task_Ex_Test.cpp:
        * tests/Thread_Pool_Reactor_Resume_Test.cpp:
        * tests/Thread_Pool_Reactor_Test.cpp:
        * tests/Thread_Pool_Test.cpp:
        * tests/Time_Value_Test.cpp:
        * tests/HTBP/Reactor_Tests/test_config.h:
        * tests/HTBP/Send_Recv_Tests/SendRecv_Test.cpp:
        * tests/RMCast/RMCast_Fragment_Test.cpp:
        * tests/RMCast/RMCast_Membership_Test.cpp:
        * tests/RMCast/RMCast_Reassembly_Test.cpp:
        * tests/RMCast/RMCast_Reordering_Test.cpp:
        * tests/RMCast/RMCast_Retransmission_Test.cpp:
        * tests/SSL/Thread_Pool_Reactor_SSL_Test.cpp:
        * websvcs/lib/URL_Addr.cpp:

          Converted remainder of
          ACE_{static,dynamic,reinterpret,const}_cast macros calls to
          their standard C++ counterparts using new bin/ACE-casts-convert
          script.

Thu Jan 20 18:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/MEM_Acceptor.h:
          Doxygen improvement

Thu Jan 20 18:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/MEM_Addr.h:
          Doxygen improvement

Thu Jan 20 15:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Connector.cpp:
          Replaced C-style cast with C++ const_cast

Thu Jan 20 07:00:15 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/AutomakeWorkspaceHelper.pm:

          Honor the -into option by prefixing each open with the
          correct output directory determined by the new method on the
          Creator.

Thu Jan 20 01:16:21 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * bin/ACE-casts-convert:

          New convenience script that converts all ACE cast macro calls
          (e.g. ACE_static_cast (foo, bar)) to their standard C++
          counterparts (e.g. static_cast<foo> (bar)).  It is meant as an
          aid to help app developers that use the ACE cast macros upgrade
          their apps to the standard C++ cast syntax since the ACE cast
          macros were deprecated back in ACE 5.4.2.

Wed Jan 19 23:06:14 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * bin/MakeProjectCreator/config/acelib.mpb:

          Changed to inherit from pkgconfig.mpb.

        * bin/MakeProjectCreator/config/pkgconfig.mpb:

          New file, custom file definition for pkgconfig *.pc.in file.

Wed Jan 19 15:20:19 2005  Steve Huston  <shuston@riverace.com>

        * ace/Dev_Poll_Reactor.inl: Add #include "ace/Log_Msg.h" to pick up
          ACE_ASSERT. Fixes compile error on Solaris 9.

Wed Jan 19 11:23:41 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/modules/BorlandProjectCreator.pm:

          Use the new get_use_env() method which is part of the MPC change
          from Wed Jan 19 11:20:42 2005.

Wed Jan 19 08:28:11 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/tao_orb_tests.lst:

          Added TAO/tests/GIOP_Fragments/PMB_With_Fragments/run_test.pl to
          the list of tests.

Tue Jan 18 09:32:47 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/bor.mpd:
        * bin/MakeProjectCreator/templates/gnu.mpd:

          Allow the addition to 'command' and 'dependent' within the scope
          of a custom section.  This is part of the MPC change from
          Tue Jan 18 09:29:09 2005.

Tue Jan 18 08:17:10 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * ace/Log_Msg.cpp (open): Fixed the logic to pass prog_name
          rather than logger_key, which fixes a bug with syslog.  Thanks
          to Robert Iakobashvili <roberti@GoNetworks.com> for this fix.

Mon Jan 17 23:08:20 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * configure.ac:

          Clarify that we're checking whether the second argument to
          gettimeofday() is a _struct_ timezone *.

        * m4/platform.m4:

          Fixed ACE_VAR_TIMEZONE macro to avoid false positive on systems
          with the timezone() function.

Sun Jan 16 23:26:58 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * m4/config_h.m4:

          Removed autoheader template for ACE_HAS_SIGINFO_T.

        * configure.ac:

          Simplified check for ACE_HAS_SIGINFO_T.
          Added check for ACE_LACKS_SI_ADDR.
          Added check for ACE_HAS_PTHREAD_NP_H.

Sun Jan 16 22:14:25 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/os_include/os_pthread.h:

          #include <pthread_np.h> if ACE_HAS_PTHREAD_NP_H is defined.

        * ace/README:

          Document new feature test macro ACE_HAS_PTHREAD_NP_H.

Sun Jan 16 18:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CDR_Stream.{h,cpp}:
          Don't implement the destructor of ACE_WChar_Codeset_Translator
          in the header file, but in the cpp file. Fixes link errors
          with TAO and Cygwin. Thanks to Mike McGahan
          <mcgahan at sparta dot com> for reporting this.
          This fixes bugzilla id [2020].

Sat Jan 15 22:22:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
          Also build the client after the Test_Output library

Thu Jan 13 23:32:03 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Capabilities.cpp:
        * ace/Configuration.cpp:
        * ace/Connector.cpp:
        * ace/Containers_T.cpp:
        * ace/Dev_Poll_Reactor.cpp:
        * ace/Dynamic_Service.cpp:
        * ace/FILE.cpp:
        * ace/LSOCK_Acceptor.cpp:
        * ace/LSOCK_Stream.cpp:
        * ace/Log_Msg.cpp:
        * ace/Message_Queue.cpp:
        * ace/Message_Queue_T.cpp:
        * ace/Naming_Context.cpp:
        * ace/OS_NS_fcntl.cpp:
        * ace/OS_NS_netdb.cpp:
        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_stropts.cpp:
        * ace/OS_NS_sys_uio.cpp:
        * ace/OS_NS_sys_utsname.cpp:
        * ace/OS_NS_time.cpp:
        * ace/OS_NS_unistd.inl:
        * ace/OS_NS_wchar.cpp:
        * ace/OS_Thread_Adapter.cpp:
        * ace/Obstack_T.cpp:
        * ace/POSIX_Asynch_IO.cpp:
        * ace/POSIX_CB_Proactor.cpp:
        * ace/POSIX_Proactor.cpp:
        * ace/Parse_Node.cpp:
        * ace/Remote_Name_Space.cpp:
        * ace/SOCK_Acceptor.cpp:
        * ace/SOCK_Connector.cpp:
        * ace/SOCK_Dgram_Mcast.cpp:
        * ace/SOCK_SEQPACK_Acceptor.cpp:
        * ace/SOCK_SEQPACK_Association.cpp:
        * ace/SOCK_SEQPACK_Connector.cpp:
        * ace/Select_Reactor_Base.cpp:
        * ace/Service_Config.cpp:
        * ace/Service_Repository.cpp:
        * ace/Sock_Connect.cpp:
        * ace/Stream_Modules.cpp:
        * ace/Svc_Conf.y:
        * ace/Svc_Conf_y.cpp:
        * ace/TLI.cpp:
        * ace/TLI_Acceptor.cpp:
        * ace/TLI_Connector.cpp:
        * ace/TSS_T.cpp:
        * ace/Timer_Heap_T.cpp:
        * ace/Timer_Wheel_T.cpp:
        * ace/Token_Collection.cpp:
        * ace/UPIPE_Stream.cpp:
        * ace/UUID.cpp:
        * ace/Unbounded_Queue.cpp:
        * ace/Unbounded_Set.cpp:
        * ace/WFMO_Reactor.cpp:
        * ace/WIN32_Asynch_IO.cpp:
        * ace/WIN32_Proactor.cpp:

          Converted all ACE_*_cast macro calls to their standard C++
          counterparts.  The ACE_*_cast macros were deprecated in ACE
          5.4.2.

Thu Jan 13 11:29:35 2005  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * ace/TMCast/Group.cpp:
        * ace/TMCast/LinkListener.hpp: Use ACE_hthread_t instead of
          ACE_thread_t to join threads.

Wed Jan 12 22:52:12 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/OS_NS_stdio.h (gets):
        * ace/OS_NS_stdio.cpp (gets):

          Removed this implementation.  While this ACE implementation of
          gets() did not contain the security holes that all standard
          gets() implementations have, keeping it around only serves to
          foster confusion since (1) some may incorrectly assume that this
          ACE-specific gets() implementation has the same holes as
          standard ones, and (2) invoking it with a default size argument
          so that it looks like a standard gets() call results in behavior
          that is different from the standard.  Use fgets() instead.

        * examples/C++NPv2/Select_Reactor_Logging_Server.cpp:
        * examples/C++NPv2/Server_Shutdown.cpp:
        * examples/C++NPv2/TP_Reactor_Logging_Server.cpp:

          Replaced all gets() calls with their fgets() counterparts.
          gets() is evil (read insecure), and should not be used.

Wed Jan 12 14:02:03 2005  Boris Kolpackov  <boris@dre.vanderbilt.edu>

        * ace/TMCast/Group.cpp:
        * ace/TMCast/LinkListener.hpp: Called different version of
          ACE_OS::thr_join which happens to be supported on Win32.  Thanks
          to Huang Rui <huangrui@mail.cqzte.com.cn> for reporting the
          problem and helping in narrowing it down.

Tue Jan 11 23:16:35 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * configure.ac:

          Added test for existence of `/dev/poll' device file.  If that
          file exists and is readable define the "ACE_HAS_DEV_POLL"
          preprocessor symbol.

        * m4/config_h.m4:

          Minor preprocessor symbol documentation fixes.

Tue Jan 11 22:32:47 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * ace/Dev_Poll_Reactor.cpp (remove_handler_i):

          Release the lock during the "close" upcall.  Fixes a deadlock
          that occurred when cancelling a timer during removal of an event
          handler from the reactor.  Thanks to Gao Xianchao <info at
          socks5cn dot com> for reporting the problem and confirming that
          this change fixes the problem.

Wed Jan 12 00:12:03 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_signal.inl:

          Fixed a compile error with the following checkin "Tue Jan 11
          18:14:22 2005  Steve Huston  <shuston@riverace.com>". Not sure
          whether this is going to break aCC. The existing code broke
          atleast g++ 3.3.4. Need to sync with Steve on this.

Tue Jan 11 18:14:22 2005  Steve Huston  <shuston@riverace.com>

        * ace/OS_NS_signal.inl: Added "namespace ACE_OS" to this as some other
          .inl files have done. This helped get HP aC++ around its confusion
          of ACE_OS::sigaction() vs. sigaction(). Added "::" to the sigaction
          type specifiers in the signature to resolve the confusion between
          the sigaction type and ACE_OS::sigaction.

Mon Jan 10 12:41:23 2005  Steve Huston  <shuston@riverace.com>

        * tests/Test_Output.cpp (close): If the output_file_ pointer is
          already 0, don't flush/close/delete it. Logging_Strategy_Test
          does a close before the end of the program, and this will
          cause ACE_END_TEST to close it again and crash, at least on
          some plaforms.

Mon Jan 10 10:29:38 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/templates/gnu.mpd:

          Ensure that all generated files are created before attempting to
          create the precompiled header binary.

        * bin/depgen.pl:

          Use canonpath on all paths provide by the user to ensure that
          things get substituted properly in the generated dependency file.

Mon Jan 10 16:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Mem_Map/IO-tests/test_io.cpp:
          Fixed compile errors

Mon Jan 10 12:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * apps/gperf/tests/test.cpp:
          Fixed unicode link errors

Mon Jan 10 10:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Mem_Map/IO-tests/test_io.cpp:
        * examples/IPC_SAP/TLI_SAP/ftp-server.cpp:
        * examples/IPC_SAP/TLI_SAP/ftp-client.cpp:
        * examples/IPC_SAP/TLI_SAP/db-server.cpp:
        * examples/IPC_SAP/TLI_SAP/db-client.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-server.cpp:
        * examples/IPC_SAP/SOCK_SAP/CPP-memserver.cpp:
        * examples/Connection/non_blocking/test_lsock_acceptor.cpp:
        * examples/Bounded_Packet_Relay/bpr_thread.cpp:
        * examples/ASX/Message_Queue/bounded_buffer.cpp:
        * examples/ASX/Message_Queue/priority_buffer.cpp:
        * examples/ASX/CCM_App/SC_Client.cpp:
          Fixed unicode link errors

Mon Jan 10 08:41:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/System_V_IPC/SV_Message_Queues/MQ_Client.cpp:
          Fixed compile error

Sun Jan  9 19:49:19 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACE-INSTALL.html:

          Updated to note that autoconf/automake build is available
          in ACE only and ACE+TAO releases.

Sun Jan  9 18:29:13 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ACEXML/apps/svcconf/Makefile.am:
        * ACEXML/common/Makefile.am:
        * ACEXML/parser/parser/Makefile.am:
        * Kokyu/Makefile.am:
        * protocols/ace/HTBP/Makefile.am:

          Generate pkg-config *.pc files from templates.

        * ACEXML/apps/svcconf/ACEXML_XML_Svc_Conf_Parser.pc.in:
        * ACEXML/common/ACEXML.pc.in:
        * ACEXML/parser/parser/ACEXML_Parser.pc.in:
        * Kokyu/Kokyu.pc.in:
        * protocols/ace/HTBP/ACE_HTBP.pc.in:

          New files, pkg-config *.pc templates.

Sun Jan  9 17:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/System_V_IPC/SV_Semaphores/Semaphores_1.cpp:
        * examples/System_V_IPC/SV_Semaphores/Semaphores_2.cpp:
        * examples/System_V_IPC/SV_Shared_Memory/SV_Shared_Memory_Test.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Client.cpp:
        * examples/System_V_IPC/SV_Message_Queues/MQ_Server.cpp:
          Fixed unicode compile errors

Sun Jan  9 17:49:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * netsvcs/lib/Server_Logging_Handler_T.{h,cpp}:
          Fixed unicode compile errors

Sun Jan  9 12:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IOStream/client/iostream_client.cpp:
        * examples/IOStream/server/iostream_server.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-ATM-client.cpp:
        * examples/IPC_SAP/TLI_SAP/CPP-ATM-server.cpp:
        * examples/OS/process/process.cpp:
          Fixed unicode link errors

Sun Jan  9 12:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Connection/non_blocking/test_lsock_connector.cpp:
        * examples/Connection/non_blocking/test_spipe_acceptor.cpp:
        * examples/Connection/non_blocking/test_spipe_connector.cpp:
        * examples/Connection/non_blocking/test_tli_acceptor.cpp:
        * examples/Connection/non_blocking/test_tli_connector.cpp:
          Fixed unicode link errors

Sun Jan  9 11:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Unbounded_Set_Test.cpp:
          Removed test for bug 1460, it is just not safe to remove the element
          the iterator points to, always move the iterator first forward
          and then remove the element.

Sat Jan  8 14:50:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/server.mpb:
          Removed this file, name is just too generic, use taoserver for
          TAO servers that have taoexe and portableserver as base project
          and server as exename

Fri Jan  7 21:04:44 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * include/makeinclude/wrapper_macros.GNU:

          Added the required path settings for SSL.

Fri Jan  7 18:23:19 2005  Steve Huston  <shuston@riverace.com>

        * configure.ac: Corrected the check for ACE_HAS_CONFLICTING_XTI_MACROS.
          We're checking for a conflict of macros from other places. The
          requirement for this macro originally came from HP-UX, and shows
          as a "Future error" (aka a warning) from aC++. Simply having
          the macros show up when the "wrong" header is included first isn't
          a problem - it's the compiler complaining that they conflict.

Fri Jan  7 19:36:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/tests.mpc:
          Found that Unbounded_Set_Test was not listed, added this

        * tests/run_test.lst:
          Removed Unbounded_Set_Test_Ex, but added Unbounded_Set_Test

Fri Jan  7 15:04:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Service_Configurator/IPC-tests/server/Handle_L_Pipe.i:
          Added include of OS_NS_unistd.h to fix compile errors in Solaris 10
          build.

Fri Jan  7 08:39:40 2005  Chad Elliott  <elliott_c@ociweb.com>

        * tests/HTBP/Send_Large_Msg/Send_Large_Msg.mpc:
        * tests/HTBP/Send_Recv_Tests/SendRecv_Test.mpc:

          Added after += Test_Output to make sure that these projects aren't
          built before the Test_Output library.

Fri Jan  7 13:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Unbounded_Set_Ex.{h,cpp,inl}:
        * ace/ace.mpc:
        * ace/Makefile.am:
          Removed the ACE_Unbounded_Set_Ex. It gives the false idea
          that the iterators can be used thread safe. If you used this,
          use ACE_Unbounded_Set and handle thread safety in your own
          code

        * ace/Node.{h,cpp}:
          Removed deleted_, this was there for ACE_Unbounded_Set_Ex, which
          is now removed.

        * tests/Unbounded_Set_Test_Ex.{h,cpp}:
        * tests/Makefile.am:
        * tests/tests.mpc:
          Removed the ACE_Unbounded_Set_Ex test

Fri Jan  7 11:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_math.inl:
          Replaced ACE_OS:: before each method with namespace ACE_OS {},
          hopefully this fixes the compile warnings in the SuSE 8 fuzz builds.
          Thanks to Steve Huston for this idea.

        * ace/config-vxworks5.x.h:
          Removed ACE_HAS_NONCONST_RMDIR, rmdir has a const char* on VxWorks

        * ace/OS_NS_unistd.inl (rmdir):
          Removed part with ACE_HAS_NONCONST_RMDIR, there are no config files
          anymore that define this

        * ace/README:
          Removed ACE_HAS_NONCONST_RMDIR

Thu Jan  6 18:29:22 2005  Steve Huston  <shuston@riverace.com>

        * configure.ac: Added check for
          ACE_EXPLICIT_TEMPLATE_DESTRUCTOR_TAKES_ARGS ( ~CLASS<PARAM>() ),
          and made it the primary check since most compilers like this one.
          If this one fails, then test for
          ACE_HAS_WORKING_EXPLICIT_TEMPLATE_DESTRUCTOR ( ~CLASS() ). Some
          compilers don't like this one (such as IBM Visual Age C++) but
          do like the first one.

        * m4/config_h.m4: Added ACE_EXPLICIT_TEMPLATE_DESTRUCTOR_TAKES_ARGS.

Thu Jan  6 08:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/IPC_SAP/SPIPE_SAP/producer_msg.cpp:
        * examples/IPC_SAP/SPIPE_SAP/consumer_read.cpp:
        * examples/IPC_SAP/FIFO_SAP/FIFO-Msg-server.cpp:
          Added includes to fix compile errors in Solaris 10 build

Wed Jan  5 14:06:03 2005  Chad Elliott  <elliott_c@ociweb.com>

        * ace/config-aix-4.x.h:
        * include/makeinclude/platform_aix_ibm.GNU:

          Visual Age 6 does not require #pragma implementation for template
          cpp files and so for backward compatibility, set the
          ACE_TEMPLATES_REQUIRE_PRAGMA macro if using Visual Age 5 or
          earlier and ACE_TEMPLATES_REQUIRE_SOURCE for 6 and later.

Wed Jan  5 13:03:23 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/qt_reactor.mpb:

          Modified this file similarly to those in

          Wed Jan  5 09:25:49 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

          so that MPC regeneration will work correctly when qt=1.

Wed Jan  5 17:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
          Added include of ace/OS_NS_stropts.h to get ACE_OS::ioctl

Wed Jan  5 09:25:49 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ace/ace.mpc:
        * ace/codecs.mpb:
        * ace/filecache.mpb:
        * ace/other.mpb:
        * ace/svcconf.mpb:
        * ace/token.mpb:
        * ace/uuid.mpb:

          Removed the extra nested braces related to ACE_COMPONENTS
          that create "subdirectories" in VC project files. In makefiles,
          these "components" can be separately compiled but not linked,
          so the feature is not used on any platform. In VC projects,
          the extra level of folders makes source and header files
          much harder to locate in the GUI environment.

Wed Jan  5 14:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
          Always include OS_NS_fcntl.h and OS_NS_unistd.h

Wed Jan  5 14:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/RMCast/RMCast.{h,cpp,i}:
        * ace/RMCast/RMCast_Worker.{h,cpp,i}:
        * ace/RMCast/RMCast_Module_Factory.{h,cpp,i}:
        * ace/RMCast/RMCast_Reassembly.{h,cpp,i}:
          Removed i file, update h/cpp

        * ace/RMCast/*.cpp:
          Updated module name to RMCast in ACE_RCSID tag

        * ace/RMCast/Makefile.am:
          Updated

Wed Jan  5 13:21:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/fuzz.pl:
          Added zip files to the noncvs files that shouldn't be in the repo.
          Added a new check that tests for inline files just containing empty
          lines and c-style comments. These files shouldn't be in the repo
          and need to get removed. There is an exclusion for TAO_IDL generated
          files, we don't have an option yet to suppress the generation of
          empty inline files so, we allow them for the time being. Thanks to
          Don Hinton, Carlos O'Ryan and Martin Corino for their answers
          on my questions.

Wed Jan  5 09:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_dirent.inl (readdir_r):
          For readdir_r we also have multiple versions on Solaris. Changed
          the detection which version to use. Tested on Solaris 8, hopefully
          fixes also the problems on Solaris 10

Wed Jan  5 09:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_Thread.inl (sigwait):
          On Solaris it seems we have two versions of sigwait, one with one
          argument, another with two arguments. Added a check to detect which
          one to use and implemented both variants. I tested this on Solaris 8
          and there it works, is should fix the compile problems in the
          Solaris 10 x86 isis build

Wed Jan  5 09:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.cpp:
          Fixed includes for Solaris x86 isis build

Tue Jan  4 17:38:23 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * Makefile.am:
        * Release:
        * configure.ac:

          Updated for removal of ace-config.in and ace-config.1.in.

        * ace-config.in:
        * ace-config.1.in:

          Removed.

Tue Jan  4 18:19:11 2005  Steve Huston  <shuston@riverace.com>

        * ace/ACE_export.h: Adjusted ACE_NAMESPACE_INLINE_FUNCTION to include
          the extern storage class when inlining for non-Windows. This resolves
          some warnings on Solaris/Forte7, and is (hopefully!) the nit
          behind the mysterious intermittent compile failures on HP-UX aCC.

Tue Jan  4 17:37:29 2005  Steve Huston  <shuston@riverace.com>

        * ace/ACE.h: Corrected t_rcv(), t_rcv_n_i() to be extern ACE_Export,
          not ACE_NAMESPACE_INLINE_FUNCTION - the bodies are defined in the
          .cpp file, and not inline.

Tue Jan  4 17:22:14 2005  Steve Huston  <shuston@riverace.com>

        * ace/Signal.h:
        * ace/TLI.h:
        * ace/TLI_Stream.h: Include "ace/config-lite.h" before testing any ACE
          config macros.

Tue Jan  4 09:56:46 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/TMCast/TMCast.mpc:
        * bin/MakeProjectCreator/config/tmcast.mpb:

          Changed to inherit from exceptions.mpb and threads.mpb

        * bin/MakeProjectCreator/exceptions.mpb:
        * bin/MakeProjectCreator/threads.mpb:

          New files, MPC base projects that require exceptions and threads
          respecitively.  Projects can inherit from these instead of using
          an explicit requires +=, which can result in duplicate entries.

Tue Jan  4 13:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * etc/create-jace-release:
          Removed this file

Tue Jan  4 13:33:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/CLASSIX/*:
        * tests/CLASSIX/*:
          Removed all these files, they are old and not maintained for
          a long time

        * psosim/*:
        * java/*:
          Removed the contents of these directories. These files where not
          shipped as part of the release and are not used anymore.

          This fixes bugzilla bug [2015].

Tue Jan  4 08:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Multicast_Test.cpp:
        * tests/Multicast_Test_IPV6.cpp:
          Fixed unused argument warnings

Tue Jan  4 04:25:44 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * ace/OS_NS_sys_stat.inl:
        * ace/OS_NS_sys_utsname.inl:

          Fixes for SUN Studio 9 builds on x86 platform. New builds will
          be setup soon to track this on a day-today basis.

Mon Jan  3 16:53:59 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * examples/TMCast/Member/Makefile.am:

          Update for ACE prefix being added to TMCast library name.

Mon Jan  3 17:42:39 2005  Steve Huston  <shuston@riverace.com>

        * apps/JAWS/server/server.mpc:
        * apps/JAWS3jaws3/jaws3.mpc: Added "avoids += uses_wchar" because
          there are some sources in here that won't work with wide-char.
          Furthermore, it's not immediately clear what the needs of the code
          are with respect to char width. These could probably be fixed,
          but may require (or be greatly helped by) some improvement to
          ACE_Process_Options::setenv() to accept narrow-char args and/or
          adjust string formatting to account for wide-char input.

        * examples/Connection/non_blocking/CPP-acceptor.cpp: The
          ACE_DEFAULT_SERVER_PORT_STR is already defined in terms of
          ACE_TEXT, so it shouldn't be wrapped in ACE_TEXT.

Mon Jan  3 14:38:01 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * netsvcs/lib/Makefile.am:

          Install header files.

Mon Jan  3 14:34:57 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Makefile.am:
        * ace/QoS/Makefile.am:
        * ace/RMCast/Makefile.am:
        * ace/SSL/Makefile.am:
        * ace/TMCast/Makefile.am:

          Generate pkg-config *.pc files from templates.

        * ace/ACE.pc.in:
        * ace/QoS/ACE_QoS.pc.in:
        * ace/RMCast/ACE_RMCast.pc.in:
        * ace/SSL/ACE_SSL.pc.in:
        * ace/TMCast/ACE_TMCast.pc.in:

          New files, pkg-config *.pc templates.

Mon Jan  3 19:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Dev_Poll_Reactor.{h,cpp}:
          Changed the return type of the notify method to int to match the
          declaration in the base class. Also added argument names to the
          header file to help doxygen generate the documentation. Thanks to
          Alexander Libman <alexander dot libman at earthlink dot net> for
          reporting this.

        * ace/Reactor_Impl.h:
          Added argument names to the notify method so that doxygen can
          generate better documentation

Mon Jan  3 13:05:46 2005  Chad Elliott  <elliott_c@ociweb.com>

        * bin/MakeProjectCreator/config/core.mpb:

          Added a setting for the template variable 'install_headers' which
          is currently only used by the automake project type.
          Coincidentally, I changed the case of INSTALL_THIS_TARGET to
          lowercase.  I personally prefer lowercase and since MPC is case
          insensitive with respect to variable names, it causes no harm to
          the borland project type which also uses that template variable.

Mon Jan  3 10:56:59 2005  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/TMCast/Makefile.am:
        * ace/TMCast/TMCast.mpc:
        * bin/MakeProjectCreator/config/tmcast.mpb:

          Add ACE prefix to TMCast library name.

Mon Jan  3 14:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_sunos5_sunc++.GNU:
          Previously explicit was the default for templates, changed this
          so that we use explicit for version 4.2 and 5.3 and otherwise
          we default to implicit. Explicit templates are not usable anymore
          for TAO, maybe these older compilers work for ACE, but we don't
          know.

Mon Jan  3 08:02:33 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * examples/TMCast/Member:
        * TMCast/*: Changed the use of TMCast to ACE_TMCast.  Thanks to
          J.T. Conklin for pointing out the inconsistency.

Mon Jan  3 09:55:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Thread_Manager_Test.cpp:
        * tests/Conn_Test.cpp:
          Fixed compile errors with VxWorks and ACE_HAS_PTHREADS

Mon Jan  3 09:48:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added include of vxCpu.h to get the CPU defines from VxWorks
          so that we can determine if we use pentium or not

Sun Jan  2 13:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Thread_Manager_Test.cpp:
          Fixed compile errors with VxWorks and ACE_HAS_PTHREADS

        * examples/Misc/test_trace.cpp:
          Replaced variable with name _ by trace, this fixes compile warning
          with VxWorks.

Sun Jan  2 13:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Conn_Test.cpp:
          Fixed compile errors with VxWorks and ACE_HAS_PTHREADS

Sun Jan  2 12:52:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          When ACE_HAS_PTHREADS is defined, include the VxWorks file
          types/vxTypesOld.h, the header file sys/stat.h uses types from
          this file and is not according to the spec. A TSR has been
          filed to WindRiver to get this corrected, until the time being
          this is the easiest fix because on more places we got problems
          and we only now have one fix that is easily to remove

Sun Jan  2 12:18:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Thread_Manager.cpp:
          VxWorks deliver also a pthread implementation. This can be used by
          defined ACE_HAS_PTHREADS, but when this is set, we don't need to use
          some special VxWorks code.

Sun Jan  2 11:27:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/OS_NS_stdlib.cpp:
          Fixed compile problem when ACE_LACKS_MKTEMP is defined

Sun Jan  2 10:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * bin/MakeProjectCreator/config/ciao_client.mpb:
        * bin/MakeProjectCreator/config/ciao_client_dnc.mpb:
          Added ciaoversion as base project so that the version number
          assigned to SOVERSION in the GNU makefiles is set to the CIAO
          version and not to the TAO version

Sun Jan  2 10:06:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CDR_Array_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/Logging_Strategy_Test.cpp
          Fixed deprecated conversion warnings

Sun Jan  2 09:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/config-vxworks5.x.h:
          Added, ACE_HAS_NONCONST_GETBY

Sat Jan  1 22:53:41 2005  Balachandran Natarajan  <bala@dre.vanderbilt.edu>

        * bin/generate_rel_manpages:

          Fixed the doxygen revision number

        * bin/make_release:

          Fixed a typo.

Sat Jan  1 18:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        Reverted the change below, the define doesn't seem to be the
        correct one, it breaks on some platforms, have to investigate
        this again

        * ace/OS_NS_stdlib.cpp:
          Just include os_limits.h instead of limits directly

        * ace/os_include/os_limits.h:
          Dependent on ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB include
          limits or limits.h, just as we do for new

Sat Jan  1 15:12:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.{h,cpp}:
          Fixed compile problems in unicode builds

Sat Jan  1 13:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ace/Service_Config.cpp:
          Added include of OS_NS_unistd.h to get ACE_OS::getpid()

Sat Jan  1 13:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * include/makeinclude/platform_gnuwin32_common.GNU:
          Added needed flags for wxWindows

Sat Jan  1 13:37:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * docs/ACE-guidelines.html:
          Updated that ACE_OS is a namespace, not a class

Sat Jan  1 13:26:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ACE-INSTALL.html:
          Updated VxWorks instructions and some other small improvements

        * ace/Activation_Queue.h:
        * ace/Active_Map_Manager.h:
        * ace/Arg_Shifter.h:
        * ace/Lib_Find.h:
        * ace/Local_Memory_Pool.h:
        * ace/Pipe.h:
        * ace/Timer_List_T.h:
        * ace/Timer_Hash_T.h:
          Doxygen improvements

        * ace/Async_Acceptor.cpp:
        * ace/WIN32_Asynch_IO.cpp:
          Just check for msvc, not for _MSC_VER > 1020, that version is really
          ancient and we always have a bigger version number

        * ace/config-all.h:
          When ACE_HAS_VERBOSE_NOTSUP is defined, we use ACE_OS::fprintf, so
          always include OS_NS_stdio.h, it doesn't work to include cstdio. This
          fixes compile problems with VxWorks when ACE_HAS_VERBOSE_NOTSUP is
          defined. Also there is no need to include vxWorks.h for VxWorks.

        * ace/Configuration.cpp (create_index):
          Improved error message to make clear something went wrong

        * ace/Dirent.cpp:
        * ace/OS_Memory.cpp:
        * ace/OS_TLI.cpp:
          Removed construction to silence the HP aCC compiler, empty cpp
          files are used a lot in the ACE_OS files and there it is not needed,
          so zap it here.

        * ace/MMAP_Memory_Pool.h:
          Define private copy constructor and assignment operator for
          ACE_MMAP_Memory_Pool_Options. This class contains pointers
          it is not allowed to copy them, so prevent that.

        * ace/Naming_Context.cpp:
          Replaced ACE cast macro with the C++ version. Just don't use argv[0]
          without checking argc in the parse_args method. Under VxWorks it can
          happen that argc and argv are 0, so reading argv[0] returns random
          memory. When argc = 0, then we just don't have a program name

        * ace/OS_Errno.h:
          Prevent copying of ACE_Errno_Guard

        * ace/UUID.cpp:
          Added missing \n in several ACE_DEBUG statements

        * ace/OS_Log_Msg_Attributes.h:
          Prevent copying of ACE_OS_Log_Msg_Attributes

        * ace/config-lite.h:
          VxWorks deliver also a pthread implementation. This can be used by
          defined ACE_HAS_PTHREADS, but when this is set, we don't need some
          special VxWorks types, so changed some checks for VXWORKS to
          VXWORKS && !defined ACE_HAS_PTHREADS

        * ace/OS_NS_stropts.inl:
        * ace/OS_NS_arpa_inet.inl:
        * ace/Service_Object.cpp:
        * ace/String_Base.cpp:
        * ace/OS_NS_stdlib.inl:
          Replaced c-style cast with C++ cast

        * ace/OS_NS_stdio.cpp:
        * ace/OS_NS_time.cpp:
        * ace/Pipe.cpp:
        * tests/Max_Default_Port_Test.cpp:
        * tests/Time_Value_Test.cpp:
          Replaced ACE cast macros with C++ casts

        * ace/Default_Constants.h:
          Added ACE_LIB_TEXT to ACE_DEFAULT_SERVER_PORT_STR to fix compile
          errors in Unicode builds

        * ace/OS_Memory.h:
          Removed not needed check for borland

        * ace/OS_NS_sys_wait.inl:
          Added ACE_LACKS_WAIT and ACE_LACKS_WAITPID, these defines are set
          in the needed config files to determine if the OS has wait and
          waitpid

        * ace/config-chorus.h:
          Added ACE_LACKS_WAIT

        * ace/config-win32-common.h:
          Added ACE_LACKS_WAIT, ACE_LACKS_SOCKETPAIR and ACE_LACKS_DUP2

        * ace/OS_NS_signal.h:
          Removed commented out typedefs

        * ace/OS_NS_sys_socket.inl:
          Replaced C style cast with C++ const_cast and in socketpair
          just only check for ACE_LACKS_SOCKETPAIR, this define is now
          also set for win32

        * ace/OS_NS_unistd.inl (dup2):
          Check for ACE_LACKS_DUP2 instead for specific OS defines

        * ace/Time_Value.h:
          Prevent copying of ACE_Countdown_Time

        * ace/config-g++-common.h:
          Cleaned up this file, removed code for pre 2.8 versions of gcc, these
          are already dropped with the x.4 release. Makes maintenance a lot
          easier.

        * ace/config-vxworks5.x.h:
          Added several defines, detect pentium or not on the CPU define that
          is set. Make several defines dependent on ACE_HAS_PTHREADS, when this
          is set, we want to use the pthread library of VxWorks.

        * ace/config-psosim-g++.h:
        * ace/config-psos-tm.h:
        * ace/config-psos-diab.h:
        * ace/config-psos-diab-ppc.h:
        * ace/config-psos-diab-mips.h:
          Added ACE_LACKS_WAIT, ACE_LACKS_WAITPID and ACE_LACKS_DUP2

        * ace/config-integritySCA.h:
          Added ACE_LACKS_WAIT, ACE_LACKS_WAITPID

        * ace/OS_NS_time.inl:
          VxWorks defines asctime_r and ctime_r but with a 3rd size_t*,
          this is not according to the spec, so a new define
          ACE_HAS_SIZET_PTR_ASCTIME_R_AND_CTIME_R is added on which we
          can determine to use this variant of asctime_r and ctime_r.
          A support request to WindRiver has been make to get these
          methods spec compliant in newer versions of VxWorks.

        * ace/Object_Manager_Base.{h,cpp}:
          Replaced ACE cast macros with C++ casts, use unsigned int instaead
          of u_int because u_int is not defined with VxWorks when using
          the pthread support

        * ace/README:
          Documented the new defines

        * ace/OS_NS_string.{h,cpp,inl}:
        * ace/config-doxygen.h:
        * configure.ac:
          Removed ACE_LACKS_STRCHR and ACE_LACKS_STRCSPN and the related
          code, these defines aren't set in any config file so the emulation
          is not needed anymore

        * ace/Log_Msg.cpp:
          When a buffer overflow has occured, just don't log anything anymore,
          when for example a backend is used, the pointer to that backend
          can also be corrupted. So, just only log when there is no overflow.

        * ace/SOCK_Dgram_Bcast.cpp:
          Replaced ACE cast with C++ cast, also handle VxWorks specially and
          when setsockopt fails, use ACE_ERROR_RETURN to return -1 and log an
          error message so that the log explains what goes wrong.

        * ace/os_include/os_time.h:
          VxWorks doesn't have 2 arg ctime_r and asctime_r

        * ace/os_include/os_signal.h:
          Don't include sigLib.h with VxWorks when ACE_HAS_PTHREADS is defined

        * ace/Malloc_T.h:
          Moved ACE_Malloc_Lock_Adapter_T to the end of this file to prevent
          compile problems with VxWorks.

        * ace/OS_NS_sys_shm.cpp:
          Removed some code that was already marked as not used.

        * ace/OS_NS_Thread.{h,cpp,inl}:
          Removed old code that was guarded using ifdef 0. Don't use
          ACE_OS_TRACE in thr_getspecific_native because this method is
          used in the trace functionality and are tracing again in this
          macro, so we get a stack overflow. Changed several checks for
          VxWorks to include ACE_HAS_PTHREADS. Made several methods
          smaller by combining includes and reducing duplicated code.
          Replaced ACE casts with C++ casts.

        * ace/OS_NS_stdlib.cpp:
          Just include os_limits.h instead of limits directly

        * ace/os_include/os_limits.h:
          Dependent on ACE_USES_STD_NAMESPACE_FOR_STDCPP_LIB include
          limits or limits.h, just as we do for new

        * ace/Unbounded_Set.{h,cpp}:
          Doxygen update and return a Unbounded_Set& from the operator=
          to allow chaining.

        * examples/Misc/test_trace.cpp:
          Replaced variable with name _ by trace, this fixes compile warning
          with VxWorks.

        * tests/UPIPE_SAP_Test.cpp:
        * tests/Conn_Test.cpp:
          Removed explicit template instantiations for Borland C++, we don't use
          that.

        * tests/Cache_Map_Manager_Test.cpp:
        * tests/Cached_Accept_Conn_Test.cpp:
        * tests/Cached_Conn_Test.cpp:
        * tests/CDR_Array_Test.cpp:
        * tests/CDR_File_Test.cpp:
        * tests/CDR_Test.cpp:
        * tests/Hash_Map_Bucket_Iterator_Test.cpp:
        * tests/Logging_Strategy_Test.cpp:
        * tests/MEM_Stream_Test.cpp:
        * tests/Multicast_Test.cpp:
        * tests/Multicast_Test_IPV6.cpp:
        * tests/SOCK_Dgram_Bcast_Test.cpp:
          Replaced argv[0] with fixed program name, because argc could be zero
          with VxWorks and then we get a crash when using argv[0].

        * tests/Config_Test.cpp:
          Logged an error if tests.reg can't be opened.

        * tests/FIFO_Test.cpp:
          Only run this test when ACE_LACKS_MKFIFO is not defined, other
          platforms then win32 also can lack this. Replaced ACE casts with
          C++ casts.

        * tests/Log_Msg_Test.cpp:
          Don't try to overflow the log buffer with VxWorks, this will result
          in a crash and then the rest of this test is not done.

        * tests/MT_Reactor_Timer_Test.cpp:
          Rewrote this test a little to use ACE_ERROR instead of ACE_ASSERT,
          under VxWorks the log files are only written at the moment the
          tests ends normally and with the ACE_ASSERT we just didn't get
          a log file, with the ACE_ERROR we get one and can look better why
          it fails under VxWorks.

        * tests/Signal_Test.cpp:
          Replace ACE casts with C++ casts and changed the return types of the
          thread functions to fix compile errors with VxWorks.

        * tests/run_test.lst:
          Enabled some more tests for VxWorks.

        * tests/run_test.pl:
          Added .out to the program names generated in the VxWorks script

Sat Jan  1 00:00:00 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * Happy New Year!!!

Fri Dec 31 15:23:58 2004  J.T. Conklin  <jtc@acorntoolworks.com>

        * ace/Service_Config.cpp:
        * ace/Service_Config.h:

          Added support for -p command line argument, which specifies
          a filename to write the process id.

Thu Dec 30 13:21:37 2004  Chris Cleeland  <cleeland@ociweb.com>

        * ACE version 5.4.3 released.

Local Variables:
add-log-time-format: current-time-string
End:
